/**
 * <copyright>
 * </copyright>
 *
 * $Id: PickerParentImpl.java,v 1.3 2014/07/24 12:42:31 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.PickerParent;
import de.bsvrz.buv.plugin.anlagendarstellung.PickerVertical;

import de.bsvrz.buv.plugin.dobj.model.DoKomponente;
import de.bsvrz.buv.plugin.dobj.model.DoKompositum;
import de.bsvrz.buv.plugin.dobj.model.DobjPackage;

import java.util.Collection;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

import org.eclipse.emf.ecore.util.EObjectContainmentEList;
import org.eclipse.emf.ecore.util.InternalEList;
import org.eclipse.swt.graphics.RGB;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Picker Parent</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getKomponenten <em>Komponenten</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getHoehe <em>Hoehe</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getBreite <em>Breite</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getDistanz <em>Distanz</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getYPosPickerTop <em>YPos Picker Top</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getKilometrierungZuordnung <em>Kilometrierung Zuordnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#isTicksAnzeigen <em>Ticks Anzeigen</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getFahrtrichtung <em>Fahrtrichtung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getObjektTyp <em>Objekt Typ</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getFarbeVordergrund <em>Farbe Vordergrund</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getFarbeHintergrund <em>Farbe Hintergrund</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.PickerParentImpl#getTransparenz <em>Transparenz</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class PickerParentImpl extends DoModelMitVerbLinieImpl implements PickerParent
{
  /**
   * The cached value of the '{@link #getKomponenten() <em>Komponenten</em>}' containment reference list.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKomponenten()
   * @generated
   * @ordered
   */
  protected EList<PickerVertical> komponenten;

  /**
   * The default value of the '{@link #getHoehe() <em>Hoehe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHoehe()
   * @generated
   * @ordered
   */
  protected static final int HOEHE_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getHoehe() <em>Hoehe</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getHoehe()
   * @generated
   * @ordered
   */
  protected int hoehe = HOEHE_EDEFAULT;

  /**
   * The default value of the '{@link #getBreite() <em>Breite</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBreite()
   * @generated
   * @ordered
   */
  protected static final int BREITE_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getBreite() <em>Breite</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBreite()
   * @generated
   * @ordered
   */
  protected int breite = BREITE_EDEFAULT;

  /**
   * The default value of the '{@link #getDistanz() <em>Distanz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDistanz()
   * @generated
   * @ordered
   */
  protected static final int DISTANZ_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getDistanz() <em>Distanz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDistanz()
   * @generated
   * @ordered
   */
  protected int distanz = DISTANZ_EDEFAULT;

  /**
   * The default value of the '{@link #getYPosPickerTop() <em>YPos Picker Top</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getYPosPickerTop()
   * @generated
   * @ordered
   */
  protected static final int YPOS_PICKER_TOP_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getYPosPickerTop() <em>YPos Picker Top</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getYPosPickerTop()
   * @generated
   * @ordered
   */
  protected int yPosPickerTop = YPOS_PICKER_TOP_EDEFAULT;

  /**
   * The default value of the '{@link #getKilometrierungZuordnung() <em>Kilometrierung Zuordnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKilometrierungZuordnung()
   * @generated
   * @ordered
   */
  protected static final String KILOMETRIERUNG_ZUORDNUNG_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getKilometrierungZuordnung() <em>Kilometrierung Zuordnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKilometrierungZuordnung()
   * @generated
   * @ordered
   */
  protected String kilometrierungZuordnung = KILOMETRIERUNG_ZUORDNUNG_EDEFAULT;

  /**
   * The default value of the '{@link #isTicksAnzeigen() <em>Ticks Anzeigen</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isTicksAnzeigen()
   * @generated
   * @ordered
   */
  protected static final boolean TICKS_ANZEIGEN_EDEFAULT = false;

  /**
   * The cached value of the '{@link #isTicksAnzeigen() <em>Ticks Anzeigen</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #isTicksAnzeigen()
   * @generated
   * @ordered
   */
  protected boolean ticksAnzeigen = TICKS_ANZEIGEN_EDEFAULT;

  /**
   * The default value of the '{@link #getFahrtrichtung() <em>Fahrtrichtung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFahrtrichtung()
   * @generated
   * @ordered
   */
  protected static final int FAHRTRICHTUNG_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getFahrtrichtung() <em>Fahrtrichtung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFahrtrichtung()
   * @generated
   * @ordered
   */
  protected int fahrtrichtung = FAHRTRICHTUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getObjektTyp() <em>Objekt Typ</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getObjektTyp()
   * @generated
   * @ordered
   */
  protected static final String OBJEKT_TYP_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getObjektTyp() <em>Objekt Typ</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getObjektTyp()
   * @generated
   * @ordered
   */
  protected String objektTyp = OBJEKT_TYP_EDEFAULT;

  /**
   * The default value of the '{@link #getFarbeVordergrund() <em>Farbe Vordergrund</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbeVordergrund()
   * @generated
   * @ordered
   */
  protected static final RGB FARBE_VORDERGRUND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getFarbeVordergrund() <em>Farbe Vordergrund</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbeVordergrund()
   * @generated
   * @ordered
   */
  protected RGB farbeVordergrund = FARBE_VORDERGRUND_EDEFAULT;

  /**
   * The default value of the '{@link #getFarbeHintergrund() <em>Farbe Hintergrund</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbeHintergrund()
   * @generated
   * @ordered
   */
  protected static final RGB FARBE_HINTERGRUND_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getFarbeHintergrund() <em>Farbe Hintergrund</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFarbeHintergrund()
   * @generated
   * @ordered
   */
  protected RGB farbeHintergrund = FARBE_HINTERGRUND_EDEFAULT;

  /**
   * The default value of the '{@link #getTransparenz() <em>Transparenz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTransparenz()
   * @generated
   * @ordered
   */
  protected static final int TRANSPARENZ_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getTransparenz() <em>Transparenz</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getTransparenz()
   * @generated
   * @ordered
   */
  protected int transparenz = TRANSPARENZ_EDEFAULT;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected PickerParentImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return AnlagendarstellungPackage.Literals.PICKER_PARENT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<PickerVertical> getKomponenten()
  {
    if (komponenten == null)
    {
      komponenten = new EObjectContainmentEList<PickerVertical>(DoKomponente.class, this, AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN);
    }
    return komponenten;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getHoehe()
  {
    return hoehe;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setHoehe(int newHoehe)
  {
    int oldHoehe = hoehe;
    hoehe = newHoehe;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__HOEHE, oldHoehe, hoehe));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getBreite()
  {
    return breite;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBreite(int newBreite)
  {
    int oldBreite = breite;
    breite = newBreite;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__BREITE, oldBreite, breite));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getDistanz()
  {
    return distanz;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDistanz(int newDistanz)
  {
    int oldDistanz = distanz;
    distanz = newDistanz;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__DISTANZ, oldDistanz, distanz));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getYPosPickerTop()
  {
    return yPosPickerTop;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setYPosPickerTop(int newYPosPickerTop)
  {
    int oldYPosPickerTop = yPosPickerTop;
    yPosPickerTop = newYPosPickerTop;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__YPOS_PICKER_TOP, oldYPosPickerTop, yPosPickerTop));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getKilometrierungZuordnung()
  {
    return kilometrierungZuordnung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKilometrierungZuordnung(String newKilometrierungZuordnung)
  {
    String oldKilometrierungZuordnung = kilometrierungZuordnung;
    kilometrierungZuordnung = newKilometrierungZuordnung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG, oldKilometrierungZuordnung, kilometrierungZuordnung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public boolean isTicksAnzeigen()
  {
    return ticksAnzeigen;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setTicksAnzeigen(boolean newTicksAnzeigen)
  {
    boolean oldTicksAnzeigen = ticksAnzeigen;
    ticksAnzeigen = newTicksAnzeigen;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__TICKS_ANZEIGEN, oldTicksAnzeigen, ticksAnzeigen));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getFahrtrichtung()
  {
    return fahrtrichtung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFahrtrichtung(int newFahrtrichtung)
  {
    int oldFahrtrichtung = fahrtrichtung;
    fahrtrichtung = newFahrtrichtung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__FAHRTRICHTUNG, oldFahrtrichtung, fahrtrichtung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getObjektTyp()
  {
    return objektTyp;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setObjektTyp(String newObjektTyp)
  {
    String oldObjektTyp = objektTyp;
    objektTyp = newObjektTyp;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__OBJEKT_TYP, oldObjektTyp, objektTyp));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RGB getFarbeVordergrund()
  {
    return farbeVordergrund;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFarbeVordergrund(RGB newFarbeVordergrund)
  {
    RGB oldFarbeVordergrund = farbeVordergrund;
    farbeVordergrund = newFarbeVordergrund;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__FARBE_VORDERGRUND, oldFarbeVordergrund, farbeVordergrund));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public RGB getFarbeHintergrund()
  {
    return farbeHintergrund;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFarbeHintergrund(RGB newFarbeHintergrund)
  {
    RGB oldFarbeHintergrund = farbeHintergrund;
    farbeHintergrund = newFarbeHintergrund;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__FARBE_HINTERGRUND, oldFarbeHintergrund, farbeHintergrund));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getTransparenz()
  {
    return transparenz;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setTransparenz(int newTransparenz)
  {
    int oldTransparenz = transparenz;
    transparenz = newTransparenz;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.PICKER_PARENT__TRANSPARENZ, oldTransparenz, transparenz));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public NotificationChain eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN:
        return ((InternalEList<?>)getKomponenten()).basicRemove(otherEnd, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN:
        return getKomponenten();
      case AnlagendarstellungPackage.PICKER_PARENT__HOEHE:
        return getHoehe();
      case AnlagendarstellungPackage.PICKER_PARENT__BREITE:
        return getBreite();
      case AnlagendarstellungPackage.PICKER_PARENT__DISTANZ:
        return getDistanz();
      case AnlagendarstellungPackage.PICKER_PARENT__YPOS_PICKER_TOP:
        return getYPosPickerTop();
      case AnlagendarstellungPackage.PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG:
        return getKilometrierungZuordnung();
      case AnlagendarstellungPackage.PICKER_PARENT__TICKS_ANZEIGEN:
        return isTicksAnzeigen();
      case AnlagendarstellungPackage.PICKER_PARENT__FAHRTRICHTUNG:
        return getFahrtrichtung();
      case AnlagendarstellungPackage.PICKER_PARENT__OBJEKT_TYP:
        return getObjektTyp();
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_VORDERGRUND:
        return getFarbeVordergrund();
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_HINTERGRUND:
        return getFarbeHintergrund();
      case AnlagendarstellungPackage.PICKER_PARENT__TRANSPARENZ:
        return getTransparenz();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @SuppressWarnings("unchecked")
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN:
        getKomponenten().clear();
        getKomponenten().addAll((Collection<? extends PickerVertical>)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__HOEHE:
        setHoehe((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__BREITE:
        setBreite((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__DISTANZ:
        setDistanz((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__YPOS_PICKER_TOP:
        setYPosPickerTop((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG:
        setKilometrierungZuordnung((String)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__TICKS_ANZEIGEN:
        setTicksAnzeigen((Boolean)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FAHRTRICHTUNG:
        setFahrtrichtung((Integer)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__OBJEKT_TYP:
        setObjektTyp((String)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_VORDERGRUND:
        setFarbeVordergrund((RGB)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_HINTERGRUND:
        setFarbeHintergrund((RGB)newValue);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__TRANSPARENZ:
        setTransparenz((Integer)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN:
        getKomponenten().clear();
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__HOEHE:
        setHoehe(HOEHE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__BREITE:
        setBreite(BREITE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__DISTANZ:
        setDistanz(DISTANZ_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__YPOS_PICKER_TOP:
        setYPosPickerTop(YPOS_PICKER_TOP_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG:
        setKilometrierungZuordnung(KILOMETRIERUNG_ZUORDNUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__TICKS_ANZEIGEN:
        setTicksAnzeigen(TICKS_ANZEIGEN_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FAHRTRICHTUNG:
        setFahrtrichtung(FAHRTRICHTUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__OBJEKT_TYP:
        setObjektTyp(OBJEKT_TYP_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_VORDERGRUND:
        setFarbeVordergrund(FARBE_VORDERGRUND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_HINTERGRUND:
        setFarbeHintergrund(FARBE_HINTERGRUND_EDEFAULT);
        return;
      case AnlagendarstellungPackage.PICKER_PARENT__TRANSPARENZ:
        setTransparenz(TRANSPARENZ_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN:
        return komponenten != null && !komponenten.isEmpty();
      case AnlagendarstellungPackage.PICKER_PARENT__HOEHE:
        return hoehe != HOEHE_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__BREITE:
        return breite != BREITE_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__DISTANZ:
        return distanz != DISTANZ_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__YPOS_PICKER_TOP:
        return yPosPickerTop != YPOS_PICKER_TOP_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__KILOMETRIERUNG_ZUORDNUNG:
        return KILOMETRIERUNG_ZUORDNUNG_EDEFAULT == null ? kilometrierungZuordnung != null : !KILOMETRIERUNG_ZUORDNUNG_EDEFAULT.equals(kilometrierungZuordnung);
      case AnlagendarstellungPackage.PICKER_PARENT__TICKS_ANZEIGEN:
        return ticksAnzeigen != TICKS_ANZEIGEN_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__FAHRTRICHTUNG:
        return fahrtrichtung != FAHRTRICHTUNG_EDEFAULT;
      case AnlagendarstellungPackage.PICKER_PARENT__OBJEKT_TYP:
        return OBJEKT_TYP_EDEFAULT == null ? objektTyp != null : !OBJEKT_TYP_EDEFAULT.equals(objektTyp);
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_VORDERGRUND:
        return FARBE_VORDERGRUND_EDEFAULT == null ? farbeVordergrund != null : !FARBE_VORDERGRUND_EDEFAULT.equals(farbeVordergrund);
      case AnlagendarstellungPackage.PICKER_PARENT__FARBE_HINTERGRUND:
        return FARBE_HINTERGRUND_EDEFAULT == null ? farbeHintergrund != null : !FARBE_HINTERGRUND_EDEFAULT.equals(farbeHintergrund);
      case AnlagendarstellungPackage.PICKER_PARENT__TRANSPARENZ:
        return transparenz != TRANSPARENZ_EDEFAULT;
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass)
  {
    if (baseClass == DoKompositum.class)
    {
      switch (derivedFeatureID)
      {
        case AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN: return DobjPackage.DO_KOMPOSITUM__KOMPONENTEN;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass)
  {
    if (baseClass == DoKompositum.class)
    {
      switch (baseFeatureID)
      {
        case DobjPackage.DO_KOMPOSITUM__KOMPONENTEN: return AnlagendarstellungPackage.PICKER_PARENT__KOMPONENTEN;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (Hoehe: ");
    result.append(hoehe);
    result.append(", Breite: ");
    result.append(breite);
    result.append(", Distanz: ");
    result.append(distanz);
    result.append(", YPosPickerTop: ");
    result.append(yPosPickerTop);
    result.append(", KilometrierungZuordnung: ");
    result.append(kilometrierungZuordnung);
    result.append(", TicksAnzeigen: ");
    result.append(ticksAnzeigen);
    result.append(", Fahrtrichtung: ");
    result.append(fahrtrichtung);
    result.append(", ObjektTyp: ");
    result.append(objektTyp);
    result.append(", FarbeVordergrund: ");
    result.append(farbeVordergrund);
    result.append(", FarbeHintergrund: ");
    result.append(farbeHintergrund);
    result.append(", Transparenz: ");
    result.append(transparenz);
    result.append(')');
    return result.toString();
  }

} //PickerParentImpl
