/**
 * <copyright>
 * </copyright>
 *
 * $Id: DiagrammEigenschaften.java,v 1.4 2014/04/28 13:02:06 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model;

import java.util.Date;

import org.eclipse.birt.chart.model.attribute.AxisType;
import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc --> A representation of the model object '
 * <em><b>Chart Properties</b></em>'. <!-- end-user-doc -->
 *
 * <p>
 * The following features are supported:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getTypPrognoseTyp <em>Typ Prognose Typ</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getXAxisType <em>XAxis Type</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisTypAnzahl <em>YAxis Typ Anzahl</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisTypeGeschwindigkeit <em>YAxis Type Geschwindigkeit</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisBemessungsverkehrsstaerke <em>YAxis Bemessungsverkehrsstaerke</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisBemessungsverkehrsdichte <em>YAxis Bemessungsverkehrsdichte</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisFahrezeugdichte <em>YAxis Fahrezeugdichte</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisLKWAnteil <em>YAxis LKW Anteil</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitLinieStat <em>Geschwindigkeits Limit Linie Stat</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitIcons <em>Geschwindigkeits Limit Icons</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isAnzeigeQuerschnitteIcons <em>Anzeige Querschnitte Icons</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getHistorieStartZeitpunkt <em>Historie Start Zeitpunkt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getHistorieEndZeitpunkt <em>Historie End Zeitpunkt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getSkalierungXAchse <em>Skalierung XAchse</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getTypObjektBezeichnung <em>Typ Objekt Bezeichnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitLinieDyn <em>Geschwindigkeits Limit Linie Dyn</em>}</li>
 * </ul>
 * </p>
 *
 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften()
 * @model
 * @generated
 */
public interface DiagrammEigenschaften extends EObject {
	/**
	 * Returns the value of the '<em><b>XAxis Type</b></em>' attribute. <!--
	 * begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>XAxis Type</em>' attribute isn't clear, there
	 * really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * 
	 * @return the value of the '<em>XAxis Type</em>' attribute.
	 * @see #setXAxisType(AxisType)
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getChartProperties_XAxisType()
	 * @model dataType="org.eclipse.birt.chart.model.attribute.AxisTypeObject"
	 * @generated
	 */
	AchsenBeschreibung getXAxisType();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getXAxisType <em>XAxis Type</em>}' containment reference.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @param value the new value of the '<em>XAxis Type</em>' containment reference.
   * @see #getXAxisType()
   * @generated
   */
	void setXAxisType(AchsenBeschreibung value);

	/**
	 * Returns the value of the '<em><b>YAxis Typ Anzahl</b></em>' attribute.
	 * The literals are from the enumeration
	 * {@link org.eclipse.birt.chart.model.attribute.AxisType}. <!--
	 * begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis Typ Anzahl</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * 
	 * @return the value of the '<em>YAxis Typ Anzahl</em>' attribute.
	 * @see org.eclipse.birt.chart.model.attribute.AxisType
	 * @see #setYAxisTypAnzahl(AxisType)
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getChartProperties_YAxisTypAnzahl()
	 * @model
	 * @generated
	 */
	AchsenBeschreibung getYAxisTypAnzahl();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisTypAnzahl <em>YAxis Typ Anzahl</em>}' containment reference.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @param value the new value of the '<em>YAxis Typ Anzahl</em>' containment reference.
   * @see #getYAxisTypAnzahl()
   * @generated
   */
	void setYAxisTypAnzahl(AchsenBeschreibung value);

	/**
	 * Returns the value of the '<em><b>YAxis Type Geschwindigkeit</b></em>'
	 * attribute. The literals are from the enumeration
	 * {@link org.eclipse.birt.chart.model.attribute.AxisType}. <!--
	 * begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis Type Geschwindigkeit</em>' attribute
	 * isn't clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * 
	 * @return the value of the '<em>YAxis Type Geschwindigkeit</em>' attribute.
	 * @see org.eclipse.birt.chart.model.attribute.AxisType
	 * @see #setYAxisTypeGeschwindigkeit(AxisType)
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getChartProperties_YAxisTypeGeschwindigkeit()
	 * @model
	 * @generated
	 */
	AchsenBeschreibung getYAxisTypeGeschwindigkeit();

	/**
	 * Sets the value of the '
	 * {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisTypeGeschwindigkeit
	 * <em>YAxis Type Geschwindigkeit</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @param value
	 *            the new value of the '<em>YAxis Type Geschwindigkeit</em>'
	 *            containment reference.
	 * @see #getYAxisTypeGeschwindigkeit()
	 * @generated
	 */
	void setYAxisTypeGeschwindigkeit(AchsenBeschreibung value);

	/**
   * Returns the value of the '<em><b>YAxis Bemessungsverkehrsstaerke</b></em>' containment reference.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis Bemessungsverkehrsstaerke</em>'
	 * containment reference isn't clear, there really should be more of a
	 * description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>YAxis Bemessungsverkehrsstaerke</em>' containment reference.
   * @see #setYAxisBemessungsverkehrsstaerke(AchsenBeschreibung)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_YAxisBemessungsverkehrsstaerke()
   * @model containment="true"
   * @generated
   */
	AchsenBeschreibung getYAxisBemessungsverkehrsstaerke();

	/**
	 * Sets the value of the '
	 * {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisBemessungsverkehrsstaerke
	 * <em>YAxis Bemessungsverkehrsstaerke</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @param value
	 *            the new value of the '<em>YAxis Bemessungsverkehrsstaerke</em>
	 *            ' containment reference.
	 * @see #getYAxisBemessungsverkehrsstaerke()
	 * @generated
	 */
	void setYAxisBemessungsverkehrsstaerke(AchsenBeschreibung value);

	/**
   * Returns the value of the '<em><b>YAxis Bemessungsverkehrsdichte</b></em>' containment reference.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis Bemessungsverkehrsdichte</em>'
	 * containment reference isn't clear, there really should be more of a
	 * description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>YAxis Bemessungsverkehrsdichte</em>' containment reference.
   * @see #setYAxisBemessungsverkehrsdichte(AchsenBeschreibung)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_YAxisBemessungsverkehrsdichte()
   * @model containment="true"
   * @generated
   */
	AchsenBeschreibung getYAxisBemessungsverkehrsdichte();

	/**
	 * Sets the value of the '
	 * {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisBemessungsverkehrsdichte
	 * <em>YAxis Bemessungsverkehrsdichte</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @param value
	 *            the new value of the '<em>YAxis Bemessungsverkehrsdichte</em>'
	 *            containment reference.
	 * @see #getYAxisBemessungsverkehrsdichte()
	 * @generated
	 */
	void setYAxisBemessungsverkehrsdichte(AchsenBeschreibung value);

	/**
   * Returns the value of the '<em><b>YAxis Fahrezeugdichte</b></em>' containment reference.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis Fahrezeugdichte</em>' containment
	 * reference isn't clear, there really should be more of a description
	 * here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>YAxis Fahrezeugdichte</em>' containment reference.
   * @see #setYAxisFahrezeugdichte(AchsenBeschreibung)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_YAxisFahrezeugdichte()
   * @model containment="true"
   * @generated
   */
	AchsenBeschreibung getYAxisFahrezeugdichte();

	/**
	 * Sets the value of the '
	 * {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisFahrezeugdichte
	 * <em>YAxis Fahrezeugdichte</em>}' containment reference. <!--
	 * begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @param value
	 *            the new value of the '<em>YAxis Fahrezeugdichte</em>'
	 *            containment reference.
	 * @see #getYAxisFahrezeugdichte()
	 * @generated
	 */
	void setYAxisFahrezeugdichte(AchsenBeschreibung value);

	/**
   * Returns the value of the '<em><b>YAxis LKW Anteil</b></em>' containment reference.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>YAxis LKW Anteil</em>' containment reference
	 * isn't clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>YAxis LKW Anteil</em>' containment reference.
   * @see #setYAxisLKWAnteil(AchsenBeschreibung)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_YAxisLKWAnteil()
   * @model containment="true"
   * @generated
   */
	AchsenBeschreibung getYAxisLKWAnteil();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getYAxisLKWAnteil <em>YAxis LKW Anteil</em>}' containment reference.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @param value the new value of the '<em>YAxis LKW Anteil</em>' containment reference.
   * @see #getYAxisLKWAnteil()
   * @generated
   */
	void setYAxisLKWAnteil(AchsenBeschreibung value);

	/**
   * Returns the value of the '<em><b>Geschwindigkeits Limit Linie Stat</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Geschwindigkeits Limit Linie Stat</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Geschwindigkeits Limit Linie Stat</em>' attribute.
   * @see #setGeschwindigkeitsLimitLinieStat(boolean)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_GeschwindigkeitsLimitLinieStat()
   * @model default="false"
   * @generated
   */
  boolean isGeschwindigkeitsLimitLinieStat();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitLinieStat <em>Geschwindigkeits Limit Linie Stat</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Geschwindigkeits Limit Linie Stat</em>' attribute.
   * @see #isGeschwindigkeitsLimitLinieStat()
   * @generated
   */
  void setGeschwindigkeitsLimitLinieStat(boolean value);

  /**
   * Returns the value of the '<em><b>Geschwindigkeits Limit Icons</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc
	 * -->
	 * <p>
	 * If the meaning of the '<em>Geschwindigkeits Limit Icons</em>' attribute
	 * isn't clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>Geschwindigkeits Limit Icons</em>' attribute.
   * @see #setGeschwindigkeitsLimitIcons(boolean)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_GeschwindigkeitsLimitIcons()
   * @model default="false"
   * @generated
   */
	boolean isGeschwindigkeitsLimitIcons();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitIcons <em>Geschwindigkeits Limit Icons</em>}' attribute.
   * <!-- begin-user-doc
	 * --> <!-- end-user-doc -->
   * @param value the new value of the '<em>Geschwindigkeits Limit Icons</em>' attribute.
   * @see #isGeschwindigkeitsLimitIcons()
   * @generated
   */
	void setGeschwindigkeitsLimitIcons(boolean value);

	/**
   * Returns the value of the '<em><b>Anzeige Querschnitte Icons</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc
	 * -->
	 * <p>
	 * If the meaning of the '<em>Anzeige Querschnitte Icons</em>' attribute
	 * isn't clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>Anzeige Querschnitte Icons</em>' attribute.
   * @see #setAnzeigeQuerschnitteIcons(boolean)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_AnzeigeQuerschnitteIcons()
   * @model default="false"
   * @generated
   */
	boolean isAnzeigeQuerschnitteIcons();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isAnzeigeQuerschnitteIcons <em>Anzeige Querschnitte Icons</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @param value the new value of the '<em>Anzeige Querschnitte Icons</em>' attribute.
   * @see #isAnzeigeQuerschnitteIcons()
   * @generated
   */
	void setAnzeigeQuerschnitteIcons(boolean value);

	/**
   * Returns the value of the '<em><b>Historie Start Zeitpunkt</b></em>' attribute.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Historie Start Zeitpunkt</em>' attribute isn't
	 * clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>Historie Start Zeitpunkt</em>' attribute.
   * @see #setHistorieStartZeitpunkt(Date)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_HistorieStartZeitpunkt()
   * @model dataType="de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Date"
   * @generated
   */
	Date getHistorieStartZeitpunkt();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getHistorieStartZeitpunkt <em>Historie Start Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
   * @param value the new value of the '<em>Historie Start Zeitpunkt</em>' attribute.
   * @see #getHistorieStartZeitpunkt()
   * @generated
   */
	void setHistorieStartZeitpunkt(Date value);

	/**
   * Returns the value of the '<em><b>Historie End Zeitpunkt</b></em>' attribute.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Historie End Zeitpunkt</em>' attribute isn't
	 * clear, there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>Historie End Zeitpunkt</em>' attribute.
   * @see #setHistorieEndZeitpunkt(Date)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_HistorieEndZeitpunkt()
   * @model dataType="de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Date"
   * @generated
   */
	Date getHistorieEndZeitpunkt();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getHistorieEndZeitpunkt <em>Historie End Zeitpunkt</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @param value the new value of the '<em>Historie End Zeitpunkt</em>' attribute.
   * @see #getHistorieEndZeitpunkt()
   * @generated
   */
	void setHistorieEndZeitpunkt(Date value);

	/**
   * Returns the value of the '<em><b>Skalierung XAchse</b></em>' attribute.
   * The default value is <code>"700"</code>.
   * <!-- begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Skalierung XAchse</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
   * @return the value of the '<em>Skalierung XAchse</em>' attribute.
   * @see #setSkalierungXAchse(float)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_SkalierungXAchse()
   * @model default="700"
   * @generated
   */
	float getSkalierungXAchse();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getSkalierungXAchse <em>Skalierung XAchse</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @param value the new value of the '<em>Skalierung XAchse</em>' attribute.
   * @see #getSkalierungXAchse()
   * @generated
   */
	void setSkalierungXAchse(float value);

	/**
   * Returns the value of the '<em><b>Typ Objekt Bezeichnung</b></em>' attribute.
   * The default value is <code>"Analyse"</code>.
   * The literals are from the enumeration {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypObjektBezeichnung}.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Typ Objekt Bezeichnung</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Typ Objekt Bezeichnung</em>' attribute.
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypObjektBezeichnung
   * @see #setTypObjektBezeichnung(TypObjektBezeichnung)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_TypObjektBezeichnung()
   * @model default="Analyse" ordered="false"
   * @generated
   */
  TypObjektBezeichnung getTypObjektBezeichnung();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getTypObjektBezeichnung <em>Typ Objekt Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Typ Objekt Bezeichnung</em>' attribute.
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypObjektBezeichnung
   * @see #getTypObjektBezeichnung()
   * @generated
   */
  void setTypObjektBezeichnung(TypObjektBezeichnung value);

  /**
   * Returns the value of the '<em><b>Geschwindigkeits Limit Linie Dyn</b></em>' attribute.
   * The default value is <code>"false"</code>.
   * <!-- begin-user-doc -->
   * <p>
   * If the meaning of the '<em>Geschwindigkeits Limit Linie Dyn</em>' attribute isn't clear,
   * there really should be more of a description here...
   * </p>
   * <!-- end-user-doc -->
   * @return the value of the '<em>Geschwindigkeits Limit Linie Dyn</em>' attribute.
   * @see #setGeschwindigkeitsLimitLinieDyn(boolean)
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getDiagrammEigenschaften_GeschwindigkeitsLimitLinieDyn()
   * @model default="false"
   * @generated
   */
  boolean isGeschwindigkeitsLimitLinieDyn();

  /**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#isGeschwindigkeitsLimitLinieDyn <em>Geschwindigkeits Limit Linie Dyn</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @param value the new value of the '<em>Geschwindigkeits Limit Linie Dyn</em>' attribute.
   * @see #isGeschwindigkeitsLimitLinieDyn()
   * @generated
   */
  void setGeschwindigkeitsLimitLinieDyn(boolean value);

  /**
	 * Returns the value of the '<em><b>Typ Prognose Typ</b></em>' attribute.
	 * The default value is <code>"6"</code>. The literals are from the
	 * enumeration
	 * {@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypPrognoseTyp}. <!--
	 * begin-user-doc -->
	 * <p>
	 * If the meaning of the '<em>Typ Prognose Typ</em>' attribute isn't clear,
	 * there really should be more of a description here...
	 * </p>
	 * <!-- end-user-doc -->
	 * 
	 * @return the value of the '<em>Typ Prognose Typ</em>' attribute.
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypPrognoseTyp
	 * @see #setTypPrognoseTyp(TypPrognoseTyp)
	 * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage#getChartProperties_TypPrognoseTyp()
	 * @model default="6"
	 * @generated
	 */
	TypPrognoseTyp getTypPrognoseTyp();

	/**
   * Sets the value of the '{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.DiagrammEigenschaften#getTypPrognoseTyp <em>Typ Prognose Typ</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @param value the new value of the '<em>Typ Prognose Typ</em>' attribute.
   * @see de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.TypPrognoseTyp
   * @see #getTypPrognoseTyp()
   * @generated
   */
	void setTypPrognoseTyp(TypPrognoseTyp value);

} // ChartProperties
