package de.bsvrz.sba.plugin.parameter.steuerungskern.parameter.laengsquerabgleich.universal;
/**
 * Enum fr die Vergleichsoperatoren
 * @author       Swarco Traffic Systems GmbH
 */
public enum JaNeinBeliebig
{
  JA ("Ja"),
  NEIN ("Nein"),
  BELIEBIG ("Beliebig");
  
  String m_kennung = "";
  
  JaNeinBeliebig (String kennung)
  {
    m_kennung = kennung;
  }

  /**
   * Methode liefert die Variable m_kennung zurck
   * @return Variable m_kennung
   */
  public String getKennung()
  {
    return m_kennung;
  }

  /**
   * Methode setzt die Variable m_kennung
   * @param kennung Wert auf den die Variable m_kennung gesetzt werden soll
   */
  public void setKennung( String kennung )
  {
    m_kennung = kennung;
  }
  
  public static JaNeinBeliebig getWert (String kennung)
  {
  	for (JaNeinBeliebig jnb : JaNeinBeliebig.values())
  		if (jnb.getKennung().equals(kennung))
  			return jnb;
  	
  	return BELIEBIG;
  }
};
