package de.koelnloevenich.dif.basislib.views;

import java.util.LinkedList;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.ui.part.ViewPart;

import de.bsvrz.dav.daf.main.ResultData;
import de.koelnloevenich.dif.basislib.urlasserdialog.UrlasserDialog;
import de.koelnloevenich.dif.basislib.urlasserdialog.UrlasserDialog.UrlasserDialogInfo;

public class ViewTsfUrlasserdialogTest extends ViewPart
{
  public static final String VIEW_ID = "de.koelnloevenich.dif.basislib.views.ViewTsfUrlasserdialogTest";

  @Override
  public void createPartControl(Composite parent)
  {
    parent.setLayout(new RowLayout());

    Button bTest1 = new Button(parent, SWT.PUSH);
    bTest1.setText("ULD Test 1");
    bTest1.addSelectionListener(new SelectionAdapter() {

      @Override
      public void widgetSelected(SelectionEvent e)
      {
        System.out.println("-> TEST 1");
        TestUrlasser1();
      }

    });
    
    Button bTest2 = new Button(parent, SWT.PUSH);
    bTest2.setText("ULD Test 2");
    bTest2.addSelectionListener(new SelectionAdapter() {
      
      @Override
      public void widgetSelected(SelectionEvent e)
      {
        System.out.println("-> TEST 2");
        TestUrlasser2();
      }
      
    });

  }

  public void TestUrlasser1()
  {
    UrlasserDialog uld = new UrlasserDialog(this.getViewSite().getShell());
    UrlasserDialogInfo urlasserDialogInfo = uld.anzeigen(new LinkedList<ResultData>());
    System.out.println("->1 " + urlasserDialogInfo);
  }

  public void TestUrlasser2()
  {
    UrlasserDialog uld = new UrlasserDialog(this.getViewSite().getShell());
    UrlasserDialogInfo urlasserDialogInfo = uld.anzeigen(new LinkedList<ResultData>(), "Tester", "geheim", "TopSecret",
        "DuDa!");
    System.out.println("->2 " + urlasserDialogInfo);
  }

  @Override
  public void setFocus()
  {

  }

}
