/**
 * <copyright>
 * </copyright>
 *
 * $Id: AnzeigeModelTypAbstractImpl.java,v 1.1 2012/12/21 10:45:57 Pittner Exp $
 */
package de.bsvrz.buv.plugin.anlagendarstellung.impl;

import de.bsvrz.buv.plugin.anlagendarstellung.AnlagendarstellungPackage;
import de.bsvrz.buv.plugin.anlagendarstellung.AnzeigeModelTypAbstract;

import org.eclipse.emf.common.notify.Notification;

import org.eclipse.emf.common.util.EList;

import org.eclipse.emf.ecore.EClass;

import org.eclipse.emf.ecore.impl.ENotificationImpl;

/**
 * <!-- begin-user-doc -->
 * An implementation of the model object '<em><b>Anzeige Model Typ Abstract</b></em>'.
 * <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getBezeichnung <em>Bezeichnung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getKontext <em>Kontext</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getInhalte1 <em>Inhalte1</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getInhalte2 <em>Inhalte2</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getDataUpdate <em>Data Update</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getDarstellungUpdate <em>Darstellung Update</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getFahrtrichtung <em>Fahrtrichtung</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getPrioritaet <em>Prioritaet</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getBlinken <em>Blinken</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getBlinktakt <em>Blinktakt</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getNotwendig <em>Notwendig</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getAbsolutNotwendig <em>Absolut Notwendig</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getVerschiebungVorgaenger <em>Verschiebung Vorgaenger</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.anlagendarstellung.impl.AnzeigeModelTypAbstractImpl#getVerschiebungNachfolger <em>Verschiebung Nachfolger</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public abstract class AnzeigeModelTypAbstractImpl extends DoModelMitVerbLinieImpl implements AnzeigeModelTypAbstract
{
  /**
   * The default value of the '{@link #getBezeichnung() <em>Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBezeichnung()
   * @generated
   * @ordered
   */
  protected static final String BEZEICHNUNG_EDEFAULT = "";

  /**
   * The cached value of the '{@link #getBezeichnung() <em>Bezeichnung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBezeichnung()
   * @generated
   * @ordered
   */
  protected String bezeichnung = BEZEICHNUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getKontext() <em>Kontext</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontext()
   * @generated
   * @ordered
   */
  protected static final int KONTEXT_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getKontext() <em>Kontext</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getKontext()
   * @generated
   * @ordered
   */
  protected int kontext = KONTEXT_EDEFAULT;

  /**
   * The cached value of the '{@link #getInhalte1() <em>Inhalte1</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInhalte1()
   * @generated
   * @ordered
   */
  protected EList<?> inhalte1;

  /**
   * The cached value of the '{@link #getInhalte2() <em>Inhalte2</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getInhalte2()
   * @generated
   * @ordered
   */
  protected EList<?> inhalte2;

  /**
   * The default value of the '{@link #getDataUpdate() <em>Data Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDataUpdate()
   * @generated
   * @ordered
   */
  protected static final Object DATA_UPDATE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDataUpdate() <em>Data Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDataUpdate()
   * @generated
   * @ordered
   */
  protected Object dataUpdate = DATA_UPDATE_EDEFAULT;

  /**
   * The default value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected static final Object DARSTELLUNG_UPDATE_EDEFAULT = null;

  /**
   * The cached value of the '{@link #getDarstellungUpdate() <em>Darstellung Update</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getDarstellungUpdate()
   * @generated
   * @ordered
   */
  protected Object darstellungUpdate = DARSTELLUNG_UPDATE_EDEFAULT;

  /**
   * The default value of the '{@link #getFahrtrichtung() <em>Fahrtrichtung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFahrtrichtung()
   * @generated
   * @ordered
   */
  protected static final int FAHRTRICHTUNG_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getFahrtrichtung() <em>Fahrtrichtung</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getFahrtrichtung()
   * @generated
   * @ordered
   */
  protected int fahrtrichtung = FAHRTRICHTUNG_EDEFAULT;

  /**
   * The default value of the '{@link #getPrioritaet() <em>Prioritaet</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPrioritaet()
   * @generated
   * @ordered
   */
  protected static final String PRIORITAET_EDEFAULT = "undefiniert";

  /**
   * The cached value of the '{@link #getPrioritaet() <em>Prioritaet</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getPrioritaet()
   * @generated
   * @ordered
   */
  protected String prioritaet = PRIORITAET_EDEFAULT;

  /**
   * The default value of the '{@link #getBlinken() <em>Blinken</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBlinken()
   * @generated
   * @ordered
   */
  protected static final int BLINKEN_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getBlinken() <em>Blinken</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBlinken()
   * @generated
   * @ordered
   */
  protected int blinken = BLINKEN_EDEFAULT;

  /**
   * The default value of the '{@link #getBlinktakt() <em>Blinktakt</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBlinktakt()
   * @generated
   * @ordered
   */
  protected static final String BLINKTAKT_EDEFAULT = "Undefiniert";

  /**
   * The cached value of the '{@link #getBlinktakt() <em>Blinktakt</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getBlinktakt()
   * @generated
   * @ordered
   */
  protected String blinktakt = BLINKTAKT_EDEFAULT;

  /**
   * The default value of the '{@link #getNotwendig() <em>Notwendig</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getNotwendig()
   * @generated
   * @ordered
   */
  protected static final int NOTWENDIG_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getNotwendig() <em>Notwendig</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getNotwendig()
   * @generated
   * @ordered
   */
  protected int notwendig = NOTWENDIG_EDEFAULT;

  /**
   * The default value of the '{@link #getAbsolutNotwendig() <em>Absolut Notwendig</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAbsolutNotwendig()
   * @generated
   * @ordered
   */
  protected static final int ABSOLUT_NOTWENDIG_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getAbsolutNotwendig() <em>Absolut Notwendig</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getAbsolutNotwendig()
   * @generated
   * @ordered
   */
  protected int absolutNotwendig = ABSOLUT_NOTWENDIG_EDEFAULT;

  /**
   * The default value of the '{@link #getVerschiebungVorgaenger() <em>Verschiebung Vorgaenger</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVerschiebungVorgaenger()
   * @generated
   * @ordered
   */
  protected static final int VERSCHIEBUNG_VORGAENGER_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getVerschiebungVorgaenger() <em>Verschiebung Vorgaenger</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVerschiebungVorgaenger()
   * @generated
   * @ordered
   */
  protected int verschiebungVorgaenger = VERSCHIEBUNG_VORGAENGER_EDEFAULT;

  /**
   * The default value of the '{@link #getVerschiebungNachfolger() <em>Verschiebung Nachfolger</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVerschiebungNachfolger()
   * @generated
   * @ordered
   */
  protected static final int VERSCHIEBUNG_NACHFOLGER_EDEFAULT = 0;

  /**
   * The cached value of the '{@link #getVerschiebungNachfolger() <em>Verschiebung Nachfolger</em>}' attribute.
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @see #getVerschiebungNachfolger()
   * @generated
   * @ordered
   */
  protected int verschiebungNachfolger = VERSCHIEBUNG_NACHFOLGER_EDEFAULT;

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  protected AnzeigeModelTypAbstractImpl()
  {
    super();
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  protected EClass eStaticClass()
  {
    return AnlagendarstellungPackage.Literals.ANZEIGE_MODEL_TYP_ABSTRACT;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getBezeichnung()
  {
    return bezeichnung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBezeichnung(String newBezeichnung)
  {
    String oldBezeichnung = bezeichnung;
    bezeichnung = newBezeichnung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG, oldBezeichnung, bezeichnung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getKontext()
  {
    return kontext;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setKontext(int newKontext)
  {
    int oldKontext = kontext;
    kontext = newKontext;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT, oldKontext, kontext));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<?> getInhalte1()
  {
    return inhalte1;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setInhalte1(EList<?> newInhalte1)
  {
    EList<?> oldInhalte1 = inhalte1;
    inhalte1 = newInhalte1;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1, oldInhalte1, inhalte1));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public EList<?> getInhalte2()
  {
    return inhalte2;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setInhalte2(EList<?> newInhalte2)
  {
    EList<?> oldInhalte2 = inhalte2;
    inhalte2 = newInhalte2;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2, oldInhalte2, inhalte2));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object getDataUpdate()
  {
    return dataUpdate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDataUpdate(Object newDataUpdate)
  {
    Object oldDataUpdate = dataUpdate;
    dataUpdate = newDataUpdate;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE, oldDataUpdate, dataUpdate));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public Object getDarstellungUpdate()
  {
    return darstellungUpdate;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setDarstellungUpdate(Object newDarstellungUpdate)
  {
    Object oldDarstellungUpdate = darstellungUpdate;
    darstellungUpdate = newDarstellungUpdate;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE, oldDarstellungUpdate, darstellungUpdate));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getFahrtrichtung()
  {
    return fahrtrichtung;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setFahrtrichtung(int newFahrtrichtung)
  {
    int oldFahrtrichtung = fahrtrichtung;
    fahrtrichtung = newFahrtrichtung;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG, oldFahrtrichtung, fahrtrichtung));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getPrioritaet()
  {
    return prioritaet;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setPrioritaet(String newPrioritaet)
  {
    String oldPrioritaet = prioritaet;
    prioritaet = newPrioritaet;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET, oldPrioritaet, prioritaet));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getBlinken()
  {
    return blinken;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBlinken(int newBlinken)
  {
    int oldBlinken = blinken;
    blinken = newBlinken;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN, oldBlinken, blinken));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public String getBlinktakt()
  {
    return blinktakt;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setBlinktakt(String newBlinktakt)
  {
    String oldBlinktakt = blinktakt;
    blinktakt = newBlinktakt;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT, oldBlinktakt, blinktakt));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getNotwendig()
  {
    return notwendig;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setNotwendig(int newNotwendig)
  {
    int oldNotwendig = notwendig;
    notwendig = newNotwendig;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG, oldNotwendig, notwendig));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getAbsolutNotwendig()
  {
    return absolutNotwendig;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setAbsolutNotwendig(int newAbsolutNotwendig)
  {
    int oldAbsolutNotwendig = absolutNotwendig;
    absolutNotwendig = newAbsolutNotwendig;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG, oldAbsolutNotwendig, absolutNotwendig));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getVerschiebungVorgaenger()
  {
    return verschiebungVorgaenger;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVerschiebungVorgaenger(int newVerschiebungVorgaenger)
  {
    int oldVerschiebungVorgaenger = verschiebungVorgaenger;
    verschiebungVorgaenger = newVerschiebungVorgaenger;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER, oldVerschiebungVorgaenger, verschiebungVorgaenger));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public int getVerschiebungNachfolger()
  {
    return verschiebungNachfolger;
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  public void setVerschiebungNachfolger(int newVerschiebungNachfolger)
  {
    int oldVerschiebungNachfolger = verschiebungNachfolger;
    verschiebungNachfolger = newVerschiebungNachfolger;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER, oldVerschiebungNachfolger, verschiebungNachfolger));
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public Object eGet(int featureID, boolean resolve, boolean coreType)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG:
        return getBezeichnung();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT:
        return getKontext();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1:
        return getInhalte1();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2:
        return getInhalte2();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE:
        return getDataUpdate();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE:
        return getDarstellungUpdate();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG:
        return getFahrtrichtung();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET:
        return getPrioritaet();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN:
        return getBlinken();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT:
        return getBlinktakt();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG:
        return getNotwendig();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG:
        return getAbsolutNotwendig();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER:
        return getVerschiebungVorgaenger();
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER:
        return getVerschiebungNachfolger();
    }
    return super.eGet(featureID, resolve, coreType);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eSet(int featureID, Object newValue)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG:
        setBezeichnung((String)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT:
        setKontext((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1:
        setInhalte1((EList<?>)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2:
        setInhalte2((EList<?>)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE:
        setDataUpdate(newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG:
        setFahrtrichtung((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET:
        setPrioritaet((String)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN:
        setBlinken((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT:
        setBlinktakt((String)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG:
        setNotwendig((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG:
        setAbsolutNotwendig((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER:
        setVerschiebungVorgaenger((Integer)newValue);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER:
        setVerschiebungNachfolger((Integer)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public void eUnset(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG:
        setBezeichnung(BEZEICHNUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT:
        setKontext(KONTEXT_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1:
        setInhalte1((EList<?>)null);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2:
        setInhalte2((EList<?>)null);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE:
        setDataUpdate(DATA_UPDATE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE:
        setDarstellungUpdate(DARSTELLUNG_UPDATE_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG:
        setFahrtrichtung(FAHRTRICHTUNG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET:
        setPrioritaet(PRIORITAET_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN:
        setBlinken(BLINKEN_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT:
        setBlinktakt(BLINKTAKT_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG:
        setNotwendig(NOTWENDIG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG:
        setAbsolutNotwendig(ABSOLUT_NOTWENDIG_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER:
        setVerschiebungVorgaenger(VERSCHIEBUNG_VORGAENGER_EDEFAULT);
        return;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER:
        setVerschiebungNachfolger(VERSCHIEBUNG_NACHFOLGER_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public boolean eIsSet(int featureID)
  {
    switch (featureID)
    {
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BEZEICHNUNG:
        return BEZEICHNUNG_EDEFAULT == null ? bezeichnung != null : !BEZEICHNUNG_EDEFAULT.equals(bezeichnung);
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__KONTEXT:
        return kontext != KONTEXT_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE1:
        return inhalte1 != null;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__INHALTE2:
        return inhalte2 != null;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DATA_UPDATE:
        return DATA_UPDATE_EDEFAULT == null ? dataUpdate != null : !DATA_UPDATE_EDEFAULT.equals(dataUpdate);
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__DARSTELLUNG_UPDATE:
        return DARSTELLUNG_UPDATE_EDEFAULT == null ? darstellungUpdate != null : !DARSTELLUNG_UPDATE_EDEFAULT.equals(darstellungUpdate);
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__FAHRTRICHTUNG:
        return fahrtrichtung != FAHRTRICHTUNG_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__PRIORITAET:
        return PRIORITAET_EDEFAULT == null ? prioritaet != null : !PRIORITAET_EDEFAULT.equals(prioritaet);
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKEN:
        return blinken != BLINKEN_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__BLINKTAKT:
        return BLINKTAKT_EDEFAULT == null ? blinktakt != null : !BLINKTAKT_EDEFAULT.equals(blinktakt);
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__NOTWENDIG:
        return notwendig != NOTWENDIG_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__ABSOLUT_NOTWENDIG:
        return absolutNotwendig != ABSOLUT_NOTWENDIG_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_VORGAENGER:
        return verschiebungVorgaenger != VERSCHIEBUNG_VORGAENGER_EDEFAULT;
      case AnlagendarstellungPackage.ANZEIGE_MODEL_TYP_ABSTRACT__VERSCHIEBUNG_NACHFOLGER:
        return verschiebungNachfolger != VERSCHIEBUNG_NACHFOLGER_EDEFAULT;
    }
    return super.eIsSet(featureID);
  }

  /**
   * <!-- begin-user-doc -->
   * <!-- end-user-doc -->
   * @generated
   */
  @Override
  public String toString()
  {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (Bezeichnung: ");
    result.append(bezeichnung);
    result.append(", Kontext: ");
    result.append(kontext);
    result.append(", Inhalte1: ");
    result.append(inhalte1);
    result.append(", Inhalte2: ");
    result.append(inhalte2);
    result.append(", DataUpdate: ");
    result.append(dataUpdate);
    result.append(", DarstellungUpdate: ");
    result.append(darstellungUpdate);
    result.append(", Fahrtrichtung: ");
    result.append(fahrtrichtung);
    result.append(", Prioritaet: ");
    result.append(prioritaet);
    result.append(", Blinken: ");
    result.append(blinken);
    result.append(", Blinktakt: ");
    result.append(blinktakt);
    result.append(", Notwendig: ");
    result.append(notwendig);
    result.append(", AbsolutNotwendig: ");
    result.append(absolutNotwendig);
    result.append(", VerschiebungVorgaenger: ");
    result.append(verschiebungVorgaenger);
    result.append(", VerschiebungNachfolger: ");
    result.append(verschiebungNachfolger);
    result.append(')');
    return result.toString();
  }

} //AnzeigeModelTypAbstractImpl
