package de.bsvrz.buv.plugin.pua.a8.projektInfo;

import java.util.ArrayList;
import java.util.Collection;
import java.util.Collections;
import java.util.List;

import de.bsvrz.buv.plugin.pua.basis.expose.IPIGanglinienKonvertierung;

public abstract class ProjektInfoUfdAbstrakt implements IPIGanglinienKonvertierung
{

  protected final List<String> _ausgabeTabelleSpalten = new ArrayList<String>(); 
  
  public int getAnzahlAttribute() 
  {
    return _ausgabeTabelleSpalten.size();
  }
   
  public List<String> getAusgabeTabelleSpalten() 
  {
    return Collections.unmodifiableList(_ausgabeTabelleSpalten);
  }
  
  public int getSpaltenIndexRelativ(String pid) 
  {
    return  -1;
  }
  
  public String getBildInhalt(String bildInhalt) 
  {
    return null;
  }
     
  public boolean isAttributKonvertierbar(String attribut) {
    return attribut != null && _ausgabeTabelleSpalten.contains(attribut); 
  }
  
  @Override
  public abstract String getWertKonvertiert(String attribut, String wert, String objekt);
  
  @Override
  public String getAttributKonvertiert(String attribut)
  {
    return attribut ;
  }
  
  @Override
  public long getMilliesTreppenfunktionErgaenzen()
  {
    return 1000;
  }
  
  @Override
  public boolean anfangAuffuellen() {
    return true;
  }
  
  @Override
  public boolean endeAuffuellen() {
    return true;
  }
  
  protected final List<String> _zuIgnorierendeWerte = new ArrayList<String>();
  
  @Override
  public Collection<String> getZuIgnorierendeWerte() {
    return Collections.unmodifiableList(_zuIgnorierendeWerte);
  }

}
