/**
 * <copyright>
 * </copyright>
 *
 * $Id: MessQuerschnittImpl.java,v 1.2 2014/04/17 15:51:14 Pittner Exp $
 */
package de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl;

import org.eclipse.emf.common.notify.Notification;
import org.eclipse.emf.common.notify.NotificationChain;
import org.eclipse.emf.ecore.EClass;
import org.eclipse.emf.ecore.InternalEObject;
import org.eclipse.emf.ecore.impl.ENotificationImpl;
import org.eclipse.emf.ecore.util.EcoreUtil;

import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.Activateable;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivateableContainer;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.ActivationState;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.MessQuerschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.RealerStreckenAbschnitt;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenZugEintrag;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.StreckenprofilPackage;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.ActivateableStateAdapter;
import de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.adapter.WegeAdapter;
import de.bsvrz.sys.funclib.bitctrl.modell.tmverkehrglobal.objekte.MessQuerschnittAllgemein;

/**
 * <!-- begin-user-doc --> An implementation of the model object '
 * <em><b>Mess Querschnitt</b></em>'. <!-- end-user-doc -->
 * <p>
 * The following features are implemented:
 * <ul>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.MessQuerschnittImpl#getState <em>State</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.MessQuerschnittImpl#getInternalState <em>Internal State</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.MessQuerschnittImpl#getActivateableContainer <em>Activateable Container</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.MessQuerschnittImpl#getWegBisher <em>Weg Bisher</em>}</li>
 *   <li>{@link de.bsvrz.buv.plugin.streckenprofil.sts.a8.model.impl.MessQuerschnittImpl#getLaenge <em>Laenge</em>}</li>
 * </ul>
 * </p>
 *
 * @generated
 */
public class MessQuerschnittImpl extends
		StoerfallIndikatorContainerImpl<MessQuerschnittAllgemein> implements
		MessQuerschnitt {
	/**
   * The default value of the '{@link #getState() <em>State</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getState()
   * @generated
   * @ordered
   */
	protected static final ActivationState STATE_EDEFAULT = ActivationState.INACTIVE;

	/**
   * The default value of the '{@link #getInternalState() <em>Internal State</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getInternalState()
   * @generated
   * @ordered
   */
	protected static final ActivationState INTERNAL_STATE_EDEFAULT = ActivationState.INACTIVE;

	/**
   * The cached value of the '{@link #getInternalState() <em>Internal State</em>}' attribute.
   * <!-- begin-user-doc --> <!--
	 * end-user-doc -->
   * @see #getInternalState()
   * @generated
   * @ordered
   */
	protected ActivationState internalState = INTERNAL_STATE_EDEFAULT;

	/**
   * The default value of the '{@link #getWegBisher() <em>Weg Bisher</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getWegBisher()
   * @generated
   * @ordered
   */
	protected static final double WEG_BISHER_EDEFAULT = 0.0;

	/**
   * The cached value of the '{@link #getWegBisher() <em>Weg Bisher</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getWegBisher()
   * @generated
   * @ordered
   */
	protected double wegBisher = WEG_BISHER_EDEFAULT;

	/**
   * The default value of the '{@link #getLaenge() <em>Laenge</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLaenge()
   * @generated
   * @ordered
   */
	protected static final Double LAENGE_EDEFAULT = null;

	/**
   * The cached value of the '{@link #getLaenge() <em>Laenge</em>}' attribute.
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @see #getLaenge()
   * @generated
   * @ordered
   */
	protected Double laenge = LAENGE_EDEFAULT;

	/**
	 * <!-- begin-user-doc --> <!-- end-user-doc -->
	 * 
	 * @generated NOT
	 */
	protected MessQuerschnittImpl() {
		super();
		new ActivateableStateAdapter(this);
		new WegeAdapter(this);
	}

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	protected EClass eStaticClass() {
    return StreckenprofilPackage.Literals.MESS_QUERSCHNITT;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivationState getState() {
    return getInternalState();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setState(ActivationState newValue) {
    de.bsvrz.buv.plugin.streckenprofil.sts.a8.util.Activateables.dispatchSetActive(this, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivationState getInternalState() {
    return internalState;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setInternalState(ActivationState newInternalState) {
    ActivationState oldInternalState = internalState;
    internalState = newInternalState == null ? INTERNAL_STATE_EDEFAULT : newInternalState;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE, oldInternalState, internalState));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public ActivateableContainer<?> getActivateableContainer() {
    if (eContainerFeatureID() != StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER) return null;
    return (ActivateableContainer<?>)eContainer();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public NotificationChain basicSetActivateableContainer(
			ActivateableContainer<?> newActivateableContainer,
			NotificationChain msgs) {
    msgs = eBasicSetContainer((InternalEObject)newActivateableContainer, StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER, msgs);
    return msgs;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setActivateableContainer(
			ActivateableContainer<?> newActivateableContainer) {
    if (newActivateableContainer != eInternalContainer() || (eContainerFeatureID() != StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER && newActivateableContainer != null))
    {
      if (EcoreUtil.isAncestor(this, newActivateableContainer))
        throw new IllegalArgumentException("Recursive containment not allowed for " + toString());
      NotificationChain msgs = null;
      if (eInternalContainer() != null)
        msgs = eBasicRemoveFromContainer(msgs);
      if (newActivateableContainer != null)
        msgs = ((InternalEObject)newActivateableContainer).eInverseAdd(this, StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES, ActivateableContainer.class, msgs);
      msgs = basicSetActivateableContainer(newActivateableContainer, msgs);
      if (msgs != null) msgs.dispatch();
    }
    else if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER, newActivateableContainer, newActivateableContainer));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public double getWegBisher() {
    return wegBisher;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setWegBisher(double newWegBisher) {
    double oldWegBisher = wegBisher;
    wegBisher = newWegBisher;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER, oldWegBisher, wegBisher));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Double getLaenge() {
    return laenge;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setLaenge(Double newLaenge) {
    Double oldLaenge = laenge;
    laenge = newLaenge;
    if (eNotificationRequired())
      eNotify(new ENotificationImpl(this, Notification.SET, StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE, oldLaenge, laenge));
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public MessQuerschnittAllgemein getMessQuerschnitt() {
    return getModellObjekt();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setMessQuerschnitt(MessQuerschnittAllgemein messQuerschnitt) {
    setModellObjekt(messQuerschnitt);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public Double computeLaenge() {
    return null;
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public RealerStreckenAbschnitt<?> getStreckenAbschnitt() {
    return (RealerStreckenAbschnitt<?>) getActivateableContainer();
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	public void setStreckenAbschnitt(RealerStreckenAbschnitt<?> abschnitt) {
    setActivateableContainer(abschnitt);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eInverseAdd(InternalEObject otherEnd,
			int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        if (eInternalContainer() != null)
          msgs = eBasicRemoveFromContainer(msgs);
        return basicSetActivateableContainer((ActivateableContainer<?>)otherEnd, msgs);
    }
    return super.eInverseAdd(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eInverseRemove(InternalEObject otherEnd,
			int featureID, NotificationChain msgs) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        return basicSetActivateableContainer(null, msgs);
    }
    return super.eInverseRemove(otherEnd, featureID, msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public NotificationChain eBasicRemoveFromContainerFeature(
			NotificationChain msgs) {
    switch (eContainerFeatureID())
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        return eInternalContainer().eInverseRemove(this, StreckenprofilPackage.ACTIVATEABLE_CONTAINER__ACTIVATEABLES, ActivateableContainer.class, msgs);
    }
    return super.eBasicRemoveFromContainerFeature(msgs);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public Object eGet(int featureID, boolean resolve, boolean coreType) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__STATE:
        return getState();
      case StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE:
        return getInternalState();
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        return getActivateableContainer();
      case StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER:
        return getWegBisher();
      case StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE:
        return getLaenge();
    }
    return super.eGet(featureID, resolve, coreType);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eSet(int featureID, Object newValue) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__STATE:
        setState((ActivationState)newValue);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE:
        setInternalState((ActivationState)newValue);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        setActivateableContainer((ActivateableContainer<?>)newValue);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER:
        setWegBisher((Double)newValue);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE:
        setLaenge((Double)newValue);
        return;
    }
    super.eSet(featureID, newValue);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public void eUnset(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__STATE:
        setState(STATE_EDEFAULT);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE:
        setInternalState(INTERNAL_STATE_EDEFAULT);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        setActivateableContainer((ActivateableContainer<?>)null);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER:
        setWegBisher(WEG_BISHER_EDEFAULT);
        return;
      case StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE:
        setLaenge(LAENGE_EDEFAULT);
        return;
    }
    super.eUnset(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public boolean eIsSet(int featureID) {
    switch (featureID)
    {
      case StreckenprofilPackage.MESS_QUERSCHNITT__STATE:
        return getState() != STATE_EDEFAULT;
      case StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE:
        return internalState != INTERNAL_STATE_EDEFAULT;
      case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER:
        return getActivateableContainer() != null;
      case StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER:
        return wegBisher != WEG_BISHER_EDEFAULT;
      case StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE:
        return LAENGE_EDEFAULT == null ? laenge != null : !LAENGE_EDEFAULT.equals(laenge);
    }
    return super.eIsSet(featureID);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public int eBaseStructuralFeatureID(int derivedFeatureID, Class<?> baseClass) {
    if (baseClass == Activateable.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.MESS_QUERSCHNITT__STATE: return StreckenprofilPackage.ACTIVATEABLE__STATE;
        case StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE: return StreckenprofilPackage.ACTIVATEABLE__INTERNAL_STATE;
        case StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER: return StreckenprofilPackage.ACTIVATEABLE__ACTIVATEABLE_CONTAINER;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintrag.class)
    {
      switch (derivedFeatureID)
      {
        case StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER: return StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__WEG_BISHER;
        case StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE: return StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__LAENGE;
        default: return -1;
      }
    }
    return super.eBaseStructuralFeatureID(derivedFeatureID, baseClass);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public int eDerivedStructuralFeatureID(int baseFeatureID, Class<?> baseClass) {
    if (baseClass == Activateable.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.ACTIVATEABLE__STATE: return StreckenprofilPackage.MESS_QUERSCHNITT__STATE;
        case StreckenprofilPackage.ACTIVATEABLE__INTERNAL_STATE: return StreckenprofilPackage.MESS_QUERSCHNITT__INTERNAL_STATE;
        case StreckenprofilPackage.ACTIVATEABLE__ACTIVATEABLE_CONTAINER: return StreckenprofilPackage.MESS_QUERSCHNITT__ACTIVATEABLE_CONTAINER;
        default: return -1;
      }
    }
    if (baseClass == StreckenZugEintrag.class)
    {
      switch (baseFeatureID)
      {
        case StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__WEG_BISHER: return StreckenprofilPackage.MESS_QUERSCHNITT__WEG_BISHER;
        case StreckenprofilPackage.STRECKEN_ZUG_EINTRAG__LAENGE: return StreckenprofilPackage.MESS_QUERSCHNITT__LAENGE;
        default: return -1;
      }
    }
    return super.eDerivedStructuralFeatureID(baseFeatureID, baseClass);
  }

	/**
   * <!-- begin-user-doc --> <!-- end-user-doc -->
   * @generated
   */
	@Override
	public String toString() {
    if (eIsProxy()) return super.toString();

    StringBuffer result = new StringBuffer(super.toString());
    result.append(" (internalState: ");
    result.append(internalState);
    result.append(", wegBisher: ");
    result.append(wegBisher);
    result.append(", laenge: ");
    result.append(laenge);
    result.append(')');
    return result.toString();
  }

} // MessQuerschnittImpl
