
/* ---------------------------------------------------------------------
 * Aenderungsdatum: 20120207:2230
 * ---------------------------------------------------------------------
 * Version: 1.0.12
 * OfficeHelp Version: 8.0.16
 * ---------------------------------------------------------------------
 */

/* ---------------------------------------------------
 *  Variablen fuer Images
 * ---------------------------------------------------
 */
var VICONDATA  = "js_m1.gif";
var VICONCLOSE = "js_m2.gif";
var VICONOPEN  = "js_m3.gif";
/* ---------------------------------------------------
 *  Variablen fuer CSS-Styleshit
 * ---------------------------------------------------
 */
var CSSLINK = "";

//---------------------------------------------------
// Variablen fuers Zielframe
var FORMTARGET = "frmTopic";
//---------------------------------------------------
var divTagToc = "";
var imageToc = "";
var divTagIdx = "";
var imageIdx = "";
var treeStaToc = "";
var treeStaIdx = "";

var ftsTextfeldInhalt = "";
//---------------------------------------------------
var retStr;
var xpos;
var itemId;
var treeLevToc;
var treeLevIdx;
var ftsTree;
var idxPos = 0;
var modeTree;
var info1;
var blength = false;
//---------------------------------------------------

function readXmlTocIdxNew() {
/* -----------------------------------------------------------------------
 *  Diese Funktion dient zum Einlesen des XML-Dokumentes.
 *  Das XML-Document kann entweder die Struktur der Inhaltsuebersicht oder
 *  die des Indexes beinhalten. Es spielt keine Rolle welches Dokument
 *  eingelesen wird.
 * -----------------------------------------------------------------------
 */

	var hkaps;
	var hKapsToc;
	var hKapsIdx;
	var ref = "";
	var titel = "";

	var treeSta = "";
	var treeVis = "";
	var treeVisToc = "";
	var treeVisIdx = "";

	var langItems;

	retStr = "";
	imageToc = "";
	imageIdx = "";
	itemId = 0;

	// Styledefinition
	if (checkbrowsertypName('MSIE')) {
		CSSLINK = xmlCfg.getElementsByTagName('style')[0].getElementsByTagName('iexplorer')[0].nodeTypedValue;
	}
	else if (checkbrowsertypName('firefox')) {
		CSSLINK = xmlCfg.responseXML.documentElement.getElementsByTagName('style')[0].childNodes[3].firstChild.nodeValue;
	}
	else if (checkbrowsertypName('opera')) {
		CSSLINK = xmlCfg.documentElement.getElementsByTagName('style')[0].childNodes[5].firstChild.nodeValue;
	}
	else if (checkbrowsertypName('safari')) {
		CSSLINK = xmlCfg.responseXML.documentElement.getElementsByTagName('style')[0].childNodes[7].firstChild.nodeValue;
	}

	// Konfigurationsparameter auslesen
	if (checkbrowsertypName('MSIE')) {
		// TOC
		treeStaToc = xmlCfg.getElementsByTagName('toc')[0].getElementsByTagName('open')[0].nodeTypedValue;
		treeLevToc = parseInt(xmlCfg.getElementsByTagName('toc')[0].getElementsByTagName('level')[0].nodeTypedValue);
		treeVisToc = xmlCfg.getElementsByTagName('toc')[0].getElementsByTagName('visible')[0].nodeTypedValue;
		// IDX
		treeStaIdx = xmlCfg.getElementsByTagName('idx')[0].getElementsByTagName('open')[0].nodeTypedValue;
		treeLevIdx = parseInt(xmlCfg.getElementsByTagName('idx')[0].getElementsByTagName('level')[0].nodeTypedValue);
		treeVisIdx = xmlCfg.getElementsByTagName('idx')[0].getElementsByTagName('visible')[0].nodeTypedValue;
		// Sprachdatei
		langItems = xmlLng.getElementsByTagName(xmlCfg.getElementsByTagName('div')[0].getElementsByTagName('language')[0].nodeTypedValue);
	}
	else if (checkbrowsertypName('firefox') || checkbrowsertypName('opera')) {
		// TOC
		treeStaToc = xmlCfg.responseXML.documentElement.getElementsByTagName('toc')[0].childNodes[1].firstChild.nodeValue;
		treeLevToc = parseInt(xmlCfg.responseXML.documentElement.getElementsByTagName('toc')[0].childNodes[3].firstChild.nodeValue);
		treeVisToc = xmlCfg.responseXML.documentElement.getElementsByTagName('toc')[0].childNodes[5].firstChild.nodeValue;
		// IDX
		treeStaIdx = xmlCfg.responseXML.documentElement.getElementsByTagName('idx')[0].childNodes[1].firstChild.nodeValue;
		treeLevIdx = parseInt(xmlCfg.responseXML.documentElement.getElementsByTagName('idx')[0].childNodes[3].firstChild.nodeValue);
		treeVisIdx = xmlCfg.responseXML.documentElement.getElementsByTagName('idx')[0].childNodes[5].firstChild.nodeValue;
	}
	else if (checkbrowsertypName('safari')) {
		// TOC
		treeStaToc = xmlCfg.responseXML.getElementsByTagName('toc')[0].childNodes[1].firstChild.nodeValue;
		treeLevToc = parseInt(xmlCfg.responseXML.getElementsByTagName('toc')[0].childNodes[3].firstChild.nodeValue);
		treeVisToc = xmlCfg.responseXML.getElementsByTagName('toc')[0].childNodes[5].firstChild.nodeValue;
		// IDX
		treeStaIdx = xmlCfg.responseXML.getElementsByTagName('idx')[0].childNodes[1].firstChild.nodeValue;
		treeLevIdx = parseInt(xmlCfg.responseXML.getElementsByTagName('idx')[0].childNodes[3].firstChild.nodeValue);
		treeVisIdx = xmlCfg.responseXML.getElementsByTagName('idx')[0].childNodes[5].firstChild.nodeValue;
	}

	// Aufklappstatus fuer TOC setzen
	if (treeStaToc == "false" || treeLevToc == 1) {
		divTagToc = "closed";
		imageToc = VICONCLOSE;
	} else {
		divTagToc = "open";
		imageToc = VICONOPEN;
	}

	// Aufklappstatus fuer IDX setzen
	if (treeStaIdx == "false" || treeLevIdx == 1) {
		divTagIdx = "closed";
		imageIdx = VICONCLOSE;
	} else {
		divTagIdx = "open";
		imageIdx = VICONOPEN;
	}

	// alle hkaps-Knoten auslesen
	if (checkbrowsertypName('MSIE')) {
		hKapsToc = xmlToc.documentElement.getElementsByTagName('hkap');
		hKapsIdx = xmlIdx.documentElement.getElementsByTagName('hkap');
	}
	else if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		hKapsToc = xmlToc.responseXML.documentElement.getElementsByTagName('hkap');
		hKapsIdx = xmlIdx.responseXML.documentElement.getElementsByTagName('hkap');
	}

	/* ==========================================================
	 *  TOC-Baum aufbauen
	 * ==========================================================
	 */
	// Baumdarstellung wird angezeigt
	if (treeVisToc == "true") {
		// alle hKapsToc-Knoten iterieren
		for (var i = 0; i < hKapsToc.length; i++) {

			xpos = 0;
			itemId++;

			ref = hKapsToc[i].attributes[0].nodeValue;
			titel = hKapsToc[i].attributes[1].nodeValue;

			// Spitze Klammer maskieren
			titel = titel.replace(/\</g, "&#60;");
			titel = titel.replace(/\>/g, "&#62;");

			if (hKapsToc[i].childNodes.length != 0) {

				// Funktionsaufruf fuer Blockbildung
				retStr = retStr + getDivBlock(ref, titel, "toc");

				/* -------------------------------------------------
				 *  Browser-Unterscheidung!
				 * -------------------------------------------------
				 */
				if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
					for (var k = 0; k < hKapsToc[i].childNodes.length; k++) {
						// pruefen, ob es ein Textknoten ist
						if (hKapsToc[i].childNodes[k].nodeName != "#text") {
							// Rekursion
							buildTreeTocIdx(hKapsToc[i].childNodes[k], "toc");
						}
					}
				}
				else if (checkbrowsertypName('MSIE')) {
					for (var k = 0; k < hKapsToc[i].childNodes.length; k++) {
						// Rekursion
						buildTreeTocIdx(hKapsToc[i].childNodes[k], "toc");
					}
				}
				retStr = retStr + '</div>';
			} else {
				retStr = retStr + "\n" + '<p class="x' + (xpos) + '" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="tocref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span></p>' + "\n";
			}
		}
	}
	// das div-Element id="toc" schliessen
	retStr = retStr + '</div></div>' + "\n" + '<div id="idx" class="closed">' + "\n";

	/* ==========================================================
	 *  IDX-Baum aufbauen
	 * ==========================================================
	 */
	 // Baumdarstellung wird angezeigt
	 if (treeVisIdx == "true") {
		// alle hKapsToc-Knoten iterieren
		for (var i = 0; i < hKapsIdx.length; i++) {

			xpos = 0;
			itemId++;

			ref = hKapsIdx[i].attributes[0].nodeValue;
			titel = hKapsIdx[i].attributes[1].nodeValue;

			// Spitze Klammer maskieren
			titel = titel.replace(/\</g, "&#60;");
			titel = titel.replace(/\>/g, "&#62;");

			if (hKapsIdx[i].childNodes.length != 0) {

				// Funktionsaufruf fuer Blockbildung
				retStr = retStr + getDivBlock(ref, titel, "idx");

				/* ------------------------------------------------------
				 *  Browser-Unterscheidung!
				 * ------------------------------------------------------
				 */
				if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
					for (var k = 0; k < hKapsIdx[i].childNodes.length; k++) {
						// pruefen, ob es ein Textknoten ist
						if (hKapsIdx[i].childNodes[k].nodeName != "#text") {
							// Rekursion
							buildTreeTocIdx(hKapsIdx[i].childNodes[k], "idx");
						}
					}
				}
				else if (checkbrowsertypName('MSIE')) {
					for (var k = 0; k < hKapsIdx[i].childNodes.length; k++) {
						// Rekursion
						buildTreeTocIdx(hKapsIdx[i].childNodes[k], "idx");
					}
				}
				retStr = retStr + '</div>' + "\n";
			} else {
				retStr = retStr + '<p class="x' + (xpos) + '" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="ref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span></p>' + "\n";
			}
		}
	}

	// Sprachdefinition
	if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		info1 = xmlLng.responseXML.documentElement.getElementsByTagName(xmlCfg.responseXML.documentElement.getElementsByTagName('div')[0].childNodes[3].firstChild.nodeValue)[0].childNodes[1].childNodes[0].nodeValue;
	}
	else if (checkbrowsertypName('MSIE')) {
		// Trefferanzeige
		info1 = langItems[0].getElementsByTagName('fts_i1')[0].nodeTypedValue;
	}

	// das div-Element id="idx" schliessen
	retStr = retStr + '</div>' + "\n" + '<div class=closed id=hits><p>' + info1 + ' -</p></div>' + "\n" + '<div class="closed" id="fts">' + "\n";

	// Startzeile fuer Header und Styleeigenschaften
	kopfzeile = '<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><link rel="stylesheet" type="text/css" href="' + CSSLINK + '"><script language="JavaScript" src="web.js"></script></head><body>' + "\n";
	retStr = kopfzeile + '<div id="toc" class="open">' + "\n" + '<div id="text">' + retStr;
	retStr = retStr + '</div>' + "\n" + '</body></html>';

	// Ausgabe des HTML-Textes
	parent.frmCtlData.document.open();
	parent.frmCtlData.document.write(retStr);
	parent.frmCtlData.document.close();
}

function buildTreeTocIdx(nodeElem, str) {
/* -----------------------------------------------------------------------
 *  Hier wird das TreeView fuer die Inhaltsuebersicht und die
 *  Indexuebersicht rekursiv zusammengebaut.
 * -----------------------------------------------------------------------
 */

var ref = "";
var titel = "";

	try {
		ref = nodeElem.attributes[0].nodeValue;
		titel = nodeElem.attributes[1].nodeValue;

		itemId++;

		// Rekursionsaufruf
		if (nodeElem.childNodes.length != 0) {
			// CSS-Style fuer Iteration entsprechend der Ebene verschieben
			xpos++;

			/* -------------------------------------------------
			 *  Hier wird die Tiefe der Ebenenanzeige gesteuert
			 * -------------------------------------------------
			 */
			// nur Ausfuehren falls Open-Status auf true ist
			if (str == "toc") {
				if (treeStaToc == "true") {
					if (xpos < treeLevToc - 1) {
						imageToc = VICONOPEN;
						divTagToc = "open";
					} else {
						imageToc = VICONCLOSE;
						divTagToc = "closed";
					}
				}
			}
			else if (str == "idx") {
				// nur Ausfuehren falls Open-Status auf true ist
				if (treeStaIdx == "true") {
					 if (xpos < treeLevIdx - 1) {
						imageToc = VICONOPEN;
						divTagIdx = "open"
					} else {
						imageToc = VICONCLOSE;
						divTagIdx = "closed"
					}
				}
			}

			// Funktionsaufruf fuer Blockbildung
			retStr = retStr + getDivBlock(ref, titel, str);

			if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
				//for (var k = 1; k < nodeElem.childNodes.length; k += 2) {
				for (var k = 0; k < nodeElem.childNodes.length; k++) {
					// pruefen, ob es ein Textknoten ist
					if (nodeElem.childNodes[k].nodeName != "#text") {
						// Rekursion
						buildTreeTocIdx(nodeElem.childNodes[k], str);
					}
				}
			}
			else if(checkbrowsertypName('MSIE')) {
				for (var k = 0; k < nodeElem.childNodes.length; k++) {
					// Rekursion
					buildTreeTocIdx(nodeElem.childNodes[k], str);
				}
			}

			xpos--;
			retStr = retStr + '</div>' + "\n";
		} else {
			xpos++;

			var mode = "idx";
			retStr += '<p class="x' + (xpos) + '" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="ref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span></p>' + "\n";
			xpos--;
		}
	} catch(e) {
		return;
	}
}

function getDivBlock(ref, titel, treeMode) {

var imgstr = "";
var refstr = "";
var datstr = "";
var divstr = "";

	if (treeMode == "toc") {
		imgstr = '<img id="img_item' + itemId + '" alt="" src="' + imageToc + '">';
		divstr = '<div id="div_item' + itemId + '" class="' + divTagToc + '">' + "\n";
	}
	else if (treeMode == "idx") {
		imgstr = '<img id="img_item' + itemId + '" alt="" src="' + imageIdx + '">';
		divstr = '<div id="div_item' + itemId + '" class="' + divTagIdx + '">' + "\n";
	}
	refstr = '<span class="markNull" id="ref' + itemId + '"><a ondblclick="toggle(\'item' + itemId + '\');" onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span>';
	datstr = '<p class="x' + xpos + '" id="item' + itemId + '" margin-left:25px;><a onclick="toggle(\'item' + itemId + '\');">' + imgstr + '</a>' + refstr + '</p>' + "\n";

	result = datstr + divstr;
	return result;
}

function toggle(id){
 /* -------------------------------------------------------
	*  Funktion fuers Oeffnen und Schliessen der DIV-Bloecke
	* -------------------------------------------------------
	*/
	div = "div_" + id;
	img = "img_" + id;

	ulElement = document.getElementById(div);
	imgElement = document.getElementById(img);

	if (ulElement) {
		if (ulElement.className == 'closed') {
			ulElement.className = "open";
			imgElement.src = VICONOPEN;
		} else {
			ulElement.className = "closed";
			imgElement.src = VICONCLOSE;
		}
	}
}

function searchIdxNode(str) {

	var color = 0;
	var v_pattern = "";
	var v_new = "";
	var v_old = "";

	blength = false;

	// Sonderzeichen trimmen
	str = trimChar(str);

	// alle IDX-Eintraege auslesen
	var contentToc = parent.frmCtlData.document.getElementById('idx');
	var v_content = contentToc.getElementsByTagName('a');

	// Erstmal evtl. vorhandene alte Markierungen entfernen
	v_old = "";
	v_old = v_content[idxPos].innerHTML;
	// IE
	v_old = v_old.replace("<SPAN class=markNull>","");
	v_old = v_old.replace("<SPAN class=mark0>","");
	v_old = v_old.replace("</SPAN>","");
	// Firefox, Safari, Opera
	v_old = v_old.replace("<span class=\"markNull\">","");
	v_old = v_old.replace("<span class=\"mark0\">","");
	v_old = v_old.replace("</span>","");

	if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		var v_pattern = new RegExp('<span class="mark' + color + '">([^<]*)</span>', 'gi');
	}
	else if (checkbrowsertypName('MSIE')) {
		// WICHTIG:  Slash statt Quote da MSIE sonst keine Markierung entfernt
		var v_pattern = new RegExp('<span class=mark' + color + '>([^<]*)</span>', 'gi');
	}
	v_new = v_old.replace(v_pattern, '$1');
	v_content[idxPos].innerHTML = v_new;

	// PositionsID auf 1 setzen falls neue Suche startet
	if(str.length == 1) {
		idxPos = 0;
	}

	for (var i = idxPos; i < v_content.length; i++) {
		// Diese beiden Zeilen markieren alles, was passt - auch Wortteile
		v_pattern  = new RegExp('(' + str + ')', 'i');
		v_new = v_content[i].innerHTML;
		var v_new_lower = v_new.toLowerCase();

		// falls die div-Elemente nicht geschlossen sind
		if(v_content[i].parentNode.parentNode.parentNode.className != "closed") {
			// auf Images pruefen - es ist kein Image-Tag
			if (v_new_lower.search("<img") == -1) {
				//nach dem Suchstring suchen
				if (v_new_lower.search(str) != -1) {
					v_new = v_new.replace(v_pattern, '<span class="mark' + color + '">$1</span>');

					// neuen Inhalt setzen
					v_content[i].innerHTML = v_new;
					idxPos = i;

					// Vertikalen Scrollbalken an entsprechende Stelle setzen
					window.parent.frmCtlData.scrollTo(0, v_content[i].offsetTop);
					break;
				}
			}
		}
	}
	return;
}

function searchIdxNextNode(str) {

	// Farbe festlegen
	var color = 0;
	var v_pattern = "";
	var v_new = "";
	var v_new_lower = "";
	var markFlag = true;

	// Sonderzeichen trimmen
	str = trimChar(str);

	// alle IDX-Eintraege auslesen
	var contentToc = parent.frmCtlData.document.getElementById('idx');
	var v_content = contentToc.getElementsByTagName('a');

	// Erstmal evtl. vorhandene alte Markierungen entfernen
	v_old = v_content[idxPos].innerHTML;
	if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		var v_pattern = new RegExp('<span class="mark' + color + '">([^<]*)</span>', 'gi');
	}
	else if (checkbrowsertypName('MSIE')) {
		// WICHTIG:  Slash statt Quote da MSIE sonst keine Markierung entfernt
		var v_pattern = new RegExp('<span class=mark' + color + '>([^<]*)</span>', 'gi');
	}
	v_new = v_old.replace(v_pattern, '$1');
	v_content[idxPos].innerHTML = v_new;

	for (var i = idxPos + 1; i < v_content.length; i++) {
		v_new = v_content[i].innerHTML;
		v_new_lower = v_new.toLowerCase();

		// auf Images pruefen
		var ergebnis = v_new_lower.search("<img");
		// kein Treffer (es ist kein Image-Tag)
		if (ergebnis == -1) {
			if (v_new_lower.search(str) != -1) {
				// Treffer gefunden
				markFlag = true;

				// falls die div-Elemente nicht geschlossen sind
				if(v_content[i].parentNode.parentNode.parentNode.className != "closed") {
					// Diese beiden Zeilen markieren alles, was passt - auch Wortteile
					v_pattern  = new RegExp('(' + str + ')', 'i');
					v_new = v_new.replace(v_pattern, '<span class="mark' + color + '">$1</span>');

					// Neuen Inhalt setzen
					v_content[i].innerHTML = v_new;
					idxPos = i;

					blength = false;
					window.parent.frmCtlData.scrollTo(0, v_content[i].offsetTop);
					break;
				}
			} else {
				//kein Treffer gefunden
				markFlag = false;
				if (i == v_content.length - 1) {
					if (!blength) {
						// blength auf true setzen da bereits die Eintr㦥 einmal durchlaufen wurden
						blength = true;
						idxPos = 0;
						searchIdxNextNode(str);
					}
				}
			}
		}
	}

	if (i == v_content.length && markFlag == true) {
		idxPos = 0;
		searchIdxNextNode(str)
	}

	return;
}

function getXScrollPosition(position) {

//  var scrpos = 0;
//
//  // Anzahl der Zeilen im TOC-Baum ermitteln
//  var contentToc = parent.frmCtlData.document.getElementById('toc');
//  var contentA = contentToc.getElementsByTagName('a');

//  // clientHeight
//  var cltHeight = parseInt(window.parent.frmCtlData.document.body.offsetHeight);
//  var scrHeight = parseInt(window.parent.frmCtlData.document.body.scrollHeight);

//
//  //scrpos =  scrHeight / cltHeight * 4;
//  //--scrpos = (position - contentA.length) * scrpos;
//  //scrpos = position * scrpos;
//
//	var anzZeilen = 0;
//	anzZeilen = Math.floor(cltHeight / 17);
//
//	// wenn Index gr� ANzahl Zeilen im Anzeigefeld
//	if(position > anzZeilen) {
//		// Balken scrollen
//		scrpos = anzZeilen * 17 * (position / anzZeilen - 1);
//	} else {
//		scrpos = 0;
//	}
//  return scrpos;
}

function toggleDivTagsTocIdx(str) {

	try {
		var contentToc = parent.frmCtlData.document.getElementById('toc');
		var contentIdx = parent.frmCtlData.document.getElementById('idx');
		var contentFts = parent.frmCtlData.document.getElementById('fts');
		var contentHits = parent.frmCtlData.document.getElementById('hits');

		// falls die div-Elemente geschlossen sind
		if(str == "idx") {
			contentToc.className = "closed";
			contentIdx.className = "open";
			contentFts.className = "closed";
			contentHits.className = "closed";

			parent.frmControl.document.getElementById("q").value = "";
		}

		// falls die div-Elemente geschlossen sind
		if(str == "toc") {
			contentToc.className = "open";
			contentIdx.className = "closed";
			contentFts.className = "closed";
			contentHits.className = "closed";

			parent.frmControl.document.getElementById("q").value = "";

			// nicht sichtbaren markierten Topic �en
			// TOC-Baum pr�//			var contentToc = parent.frmCtlData.document.getElementById('toc');
//			var contentA = contentToc.getElementsByTagName('a');
//			for (var i = 0; i < contentA.length; i++) {
//				if (contentA[i].id == str) {
//				mode = "toc";
//				findString = true;
//				break;
//    }

		}

		// falls die div-Elemente geschlossen sind
		if(str == "fts") {
			contentToc.className = "closed";
			contentIdx.className = "closed";
			contentFts.className = "open";
			contentHits.className = "open";

			parent.frmControl.document.getElementById("q").value = ftsTextfeldInhalt;
		}
	} catch (e) {
		return;
	}
}

function toggleDivTags() {
/* -----------------------------------------------------------------------
 *  Funktion zum (De)Aktivieren der Checkbox
 * -----------------------------------------------------------------------
 */
	var contentIdx = parent.frmCtlData.document.getElementById('idx');
	var v_content = contentIdx.getElementsByTagName('div');
	var imgTag = contentIdx.getElementsByTagName('img');

	if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		var chkBoxStatus = parent.frmControl.document.getElementById('chkidx').checked;
	}
	else if (checkbrowsertypName('MSIE')) {
		var chkBoxStatus = parent.frmControl.document.getElementById('chkidx').status;
	}

	for (var i = 0; i < v_content.length; i++) {
		if (chkBoxStatus) {
			// alle div-Elemente schliessen
			v_content[i].className = "closed";
		} else {
			// alle div-Elemente oeffnen
			v_content[i].className = "open";
		}
	}

	// Images auf geschlossen od. ge�et setzen
	var imgSrcSplit;
	for (var i = 0; i < imgTag.length; i++) {
		// Dateipfad spliten
		imgSrcSplit = imgTag[i].src.split("/");
		// Arrayfeld umdrehen
		imgSrcSplit.reverse();

		// Checkbox ist aktiviert
		if (chkBoxStatus) {
			if (imgSrcSplit[0] == VICONCLOSE || imgSrcSplit[0] == VICONOPEN) {
				imgTag[i].src = VICONCLOSE;
			}
		} else {
			// Checkbox ist deaktiviert
			if (imgSrcSplit[0] == VICONCLOSE || imgSrcSplit[0] == VICONOPEN) {
				imgTag[i].src = VICONOPEN;
			}
		}
	}
}

function searchXmlWord(str, suchmodus) {
/* -----------------------------------------------------------------------
 *  Funktion zum Suchen und Anzeigen der Suchbegriffe
 * -----------------------------------------------------------------------
 */
	var node;
	var ref   = "";
	var titel = "";
	var itemId = 10000;
	var quote = false;

	retStr = "";
	kopfzeile = "";
	statistik = 0;

	var undSuche = new Array();
	var alleTreffer = new Array();
	var idxges = 0;

	// Pluszeichen entfernen
//  str = str.replace(/\+/g, " ");
	// Leerzeichen am Anfang und am Ende entfernen
	str = trimWhitespace(str);

	// Sonderzeichen aus dem Suchbegriff entfernen
	var regex = "";
	//regex = /\*|\+|\?|\.|\(|\)|\[|\]|\{|\}|\/|\||\^|\$|\-|\\|'|:|;|#|\§|!|=|%|,/g;
	regex = /\*|\+|\?|\.|\(|\)|\[|\]|\{|\}|\/|\||\^|\$|\\|'|:|;|#|\Â§|!|=|%|,/g;
	str = str.replace(regex, ' ');

	// Liefert die Nummer eines Unicode-Zeichens zurück, das in einer Zeichenkette
	// an einer bestimmten Position steht.
	for(i=0; i<str.length; i++) {
		if(str.charCodeAt(i) >= 1424) {
			str = str.substring(0, i+1) + " " + str.substring(i+1, str.length);
		}
	}

	// Sonderzeichen aus dem Suchbegriff entfernen
	//str = trimCharForXmlSearch(str);

	// Zeichenketten in mehrere Teilzeichenketten zerlegen
	var suchwerte = str.split(" ");
	for(var i = 0; i < suchwerte.length - 1; i++) {
		if (suchwerte[i].length == 0) {
			suchwerte.splice(i,1);
			i--;
		}
	}

	var suchergebnis = new Array(suchwerte.length-1);
	var cnt = 0;

	// pruefen ob nur ein Suchbegriff bei einer UND-Suche eigetragen wurde
	if (suchwerte.length == 1) {
		suchmodus = "_or";
	}

	// Startzeile fuer Header und Styleeigenschaften
	//kopfzeile = '<html><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><link rel="stylesheet" type="text/css" href="./css/oh70style.css"><script language="JavaScript" src="oh70js.js"></script></head><body>' + "\n";
	var contentFts = parent.frmCtlData.document.getElementById('fts');

	var length = contentFts.childNodes.length;
	// alle Knoten loeschen
	for (var i = 1; i <= length; i++) {
		// letzten Knoten im Baum loeschen
		contentFts.removeChild(contentFts.lastChild);
	}

	for (var k = 0; k < suchwerte.length; k++) {
		if (suchwerte[k].length != 0) {

			if (suchwerte[k].indexOf("\"") >= 0) {
				// "scharfe Suche" - alle Anfuehrungszeichen ersetzen
				suchwerte[k] = suchwerte[k].replace(/\"/g, "");
				quote = true;
			} else {
				quote = false;
			}

			// pruefen, ob eine Zahl gesucht wird
			if (!isNaN(parseFloat(suchwerte[k]))) { // ist eine Zahl
				suchwerte[k] = "_" + suchwerte[k];
			}

			/* -----------------------------------------------------
			 *  alle Wort-Knoten auslesen
			 * -----------------------------------------------------
			 */
			if (checkbrowsertypName('MSIE')) {
				node = xmlFts.documentElement.getElementsByTagName('projekt_xx');
			}
			else if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
				node = xmlFts.responseXML.documentElement.getElementsByTagName('projekt_xx');
			}
			//node = xmlFts.documentElement.getElementsByTagName('projekt_xx');

			for (var l = 0; l < node.length; l++) {
				// Indexer fuers Arrayfeld
				index=0;

				/* =====================================================
				 *  Browserunterscheidung
				 * =====================================================
				 */
				if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
					/* -----------------------------------------------------
					 *  Firefox & Opera
					 * -----------------------------------------------------
					 */
					// alle Woerter aus fts.xml iterieren
					for (var i = 0; i < node[l].childNodes.length; i++) {
						// pruefen, ob es ein Textknoten ist
						if (node[l].childNodes[i].nodeName != "#text") {
							var teilstring = node[l].childNodes[i].nodeName;

							// fals "scharfe Suche definiert ist"
							if (quote) {
								var wort = teilstring;
							} else {
								var wort = teilstring.substring(0, suchwerte[k].length);
							}

							// "" ist notwendig, damit ein Stringvergleich durchgefuehrt werden kann!
							if ("" + wort == "" + suchwerte[k]) {
								itemId++;

								for (var j = 0; j < node[l].childNodes[i].childNodes.length; j++) {
									// pruefen, ob es ein Textknoten ist
									if (node[l].childNodes[i].childNodes[j].nodeName != "#text") {
										itemId++;

										ref = node[l].childNodes[i].childNodes[j].attributes[0].nodeValue;
										titel = node[l].childNodes[i].childNodes[j].attributes[1].nodeValue;

										// hier werden alle (auch *) gefundenen Eintraege fuer passendes Wort
										// hintereinander in ein Array-Feld geschrieben
										undSuche[index] = new Array(1);
										undSuche[index][0] = ref;
										undSuche[index][1] = titel;
										index++;

										var ergebnis = retStr.search(ref);
										if (ergebnis == -1) {
											if (suchmodus == "_and") {
												// hier werden alle gefundenen Suchbegriffe in ein Arrayfeld geschrieben
												alleTreffer[idxges] = new Array(1);
												alleTreffer[idxges][0] = ref;
												alleTreffer[idxges][1] = titel;
												idxges++;
											}
											statistik++;
											retStr += '<p class="x0" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="ref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span></p>' + "\n";

											appendTreeChildFts(contentFts, ref, titel, itemId);
										} // if ergebnis
									} // if != text
								} // for
							} // if
						} // if != text
					} // for
				} // if firefox

				else if (checkbrowsertypName('MSIE')) {
					/* -----------------------------------------------------
					 *  InternetExplorer
					 * -----------------------------------------------------
					 */
					// alle Woerter aus fts.xml iterieren
					for (var i = 0; i < node(l).childNodes.length; i++) {
						var teilstring = node(l).childNodes(i).nodeName;

						// falls "scharfe Suche definiert ist"
						if (quote) {
							var wort = teilstring;
						} else {
							var wort = teilstring.substring(0, suchwerte[k].length);
						}

						// "" ist notwendig, damit ein Stringvergleich durchgefuehrt werden kann!
						if ("" + wort == "" + suchwerte[k]) {
							for (var j = 0; j < node[l].childNodes[i].childNodes.length; j++) {
								itemId++;

								ref = node[l].childNodes[i].childNodes[j].attributes[0].nodeValue;
								titel = node[l].childNodes[i].childNodes[j].attributes[1].nodeValue;

//                titel = titel.replace(/\</g, "&#60;");
//                titel = titel.replace(/\>/g, "&#62;");
//
								//str = str.replace(/\+/g, " ");

								// hier werden alle (auch *) gefundenen Eintraege fuer passendes Wort
								// hintereinander in ein Array-Feld geschrieben
								undSuche[index] = new Array(1);
								undSuche[index][0] = ref;
								undSuche[index][1] = titel;
								index++;

								var ergebnis = retStr.search(ref);
								if (ergebnis == -1) {
									statistik++;
									retStr += '<p class="x0" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="ref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '">' + titel + '</a></span></p>' + "\n";

									appendTreeChildFts(contentFts, ref, titel, itemId);
								}

								if (suchmodus == "_and") {
									// hier werden alle gefundenen Suchbegriffe in ein Arrayfeld geschrieben
									alleTreffer[idxges] = new Array(1);
									alleTreffer[idxges][0] = ref;
									alleTreffer[idxges][1] = titel;
									idxges++;
								}
							} // for
						} // if
					} // for
				} // elseif

				suchergebnis[cnt] = undSuche;
				suchergebnis[cnt].sort();
				// Counter fuer Arrayindizes
				cnt++;

				// Array zuruecksetzen
				undSuche = null;
				var undSuche = new Array();

			} // for
		} // if
	} // for

	if (suchmodus == "_and") {
		// alle vorherigen Knoten fuer UND-Suche loeschen
		contentFts = parent.frmCtlData.document.getElementById('fts');
		length = contentFts.childNodes.length;
		for (var i = 1; i <= length; i++) {
			// letzten Knoten im Baum loeschen
			contentFts.removeChild(contentFts.lastChild);
		}

		retStr = "";
		// Arrayfeld sortieren
		alleTreffer.sort();

		var hit = false;

		for (var i = 0; i < alleTreffer.length; i++) {
			for (var j = 0; j < suchergebnis.length; j++) {
				hit = false;

				for (var jj = 0; jj < suchergebnis[j].length; jj++) {
					if (alleTreffer[i][0] == suchergebnis[j][jj][0]) {
						hit = true;
					}
				}
				if (!hit) {
					// Eintrag entfernen, da nicht im Einzelsuchbegriff vorkommt
					alleTreffer[i] = "";
				}
			}
		}

		alleTreffer.sort();
		alleTreffer.reverse();
		statistik = 0;

		for (var i = 0; i < alleTreffer.length; i++) {
			if (alleTreffer[i] != "") {

				// pruefen, ob der Eintrag bereits vorhanden ist
				ergebnis = retStr.search(alleTreffer[i][0]);
				if (ergebnis == -1) {

					statistik++;
					itemId++;

					ref = alleTreffer[i][0];
					titel = alleTreffer[i][1];
					// retStr nur Notwendig damit man nach bereits eingefuegte Seiten suchen kann
					retStr += ref + ';' + titel + "\n";
					//retStr += '<p class="x0" id="item' + itemId + '"><img src="' + VICONDATA + '"><span class="markNull" id="ref' + itemId + '"><a onclick="showSelection(id);" href="' + ref + '" target=' + FORMTARGET + ' id="ref' + itemId + '" onclick="window.setTimeout(\'f_mark()\', 700);">' + titel + '</a></span></p>' + "\n";

					appendTreeChildFts(contentFts, ref, titel, itemId);
				}
			} else {
				break;
			}
		}
	}
	// Anzahl der Treffer anzeigen
	var hits = parent.frmCtlData.document.getElementById('hits');
	hits.lastChild.firstChild.nodeValue = info1 + " " + statistik;

	// Suchbegriffe in globale Variable speichern - notwendig f� unterdrueckung der Wortmarkierung
	ftsTextfeldInhalt = parent.frmControl.document.getElementById("q").value;
}

function appendTreeChildFts(contentFts, href, textNode, itemId) {
/* -----------------------------------------------------------------------
 *  Funktion zum Aufbau der Ergebnisse der Volltextsuche
 * -----------------------------------------------------------------------
 */

	var newP = parent.frmCtlData.document.createElement("p");
	var newIMG = parent.frmCtlData.document.createElement("img");
	var newSPAN = parent.frmCtlData.document.createElement("span");
	var newA = parent.frmCtlData.document.createElement("a");

	newP.setAttribute("className", '\"x0\"');
	newP.setAttribute("id", '\"item' + xpos + '\"');
	contentFts.appendChild(newP);

	newIMG.setAttribute("src", VICONDATA);
	contentFts.lastChild.appendChild(newIMG);

	newSPAN.setAttribute("className", "markNull");
	newSPAN.setAttribute("id", "ref" + itemId);
	contentFts.lastChild.appendChild(newSPAN);

	newA.setAttribute("id", "ref" + itemId);
	newA.setAttribute("target", FORMTARGET);
	newA.setAttribute("href", href);

	if (checkbrowsertypName('MSIE')) {
		var test = function anonymous() { showSelection("ref" + itemId) };
		newA.setAttribute('onclick', test);
	}
	else if (checkbrowsertypName('firefox') || checkbrowsertypName('opera') || checkbrowsertypName('safari')) {
		newA.setAttribute('onclick', 'showSelection("ref' + itemId + '")');
	}

	newA.appendChild(parent.frmCtlData.document.createTextNode(textNode));
	contentFts.lastChild.lastChild.appendChild(newA);
}


function showSelection(str) {
/* -----------------------------------------------------------------------
 *  Funktion zum Markieren der selektierten Eintr㦥 im TOC- , IDX- und FTS-Baum
 * -----------------------------------------------------------------------
 */

	var mode = "";
	var contentToc = "";
	var contentA = "";
	var findString = false;

	if (!findString) {
		// FTS-Baum pruefen
		contentToc = parent.frmCtlData.document.getElementById('toc');
		contentA = contentToc.getElementsByTagName('a');
		for (var i = 0; i < contentA.length; i++) {
			if (contentA[i].id == str) {
				mode = "toc";
				findString = true;
				break;
			}
		}
	}

	if (!findString) {
		// IDX-Baum pruefen
		contentToc = "";
		contentA = "";
		contentToc = parent.frmCtlData.document.getElementById('idx');
		contentA = contentToc.getElementsByTagName('a');
		for(var i = 0; i < contentA.length; i++) {
			if(contentA[i].id == str) {
				mode = "idx";
				findString = true;
				break;
			}
		}
	}

	if (!findString) {
		// FTS-Baum pruefen
		contentToc = "";
		contentA = "";
		contentToc = parent.frmCtlData.document.getElementById('fts');
		contentA = contentToc.getElementsByTagName('a');
		for(var i = 0; i < contentA.length; i++) {
			if(contentA[i].id == str) {
				mode = "fts";
				findString = true;
				break;
			}
		}
	}

	// nur span-Objekte iterieren
	var nodeToc = parent.frmCtlData.document.getElementById(mode);
	var nodesSpan = nodeToc.getElementsByTagName('span');

	for (var i = 0; i < nodesSpan.length; i++) {
		if (nodesSpan[i].id == str) {
			// Standardmarkierung setzen
			nodesSpan[i].className = "mark5";
			//nodesSpan[i].className = "aktiv";
		} else {
			nodesSpan[i].className = "markNull";
		}
	}
	return;
}

function trim(string) {
/*
 * Diese Funktion entfernt ueberzaehlige Leerzeichen am Anfang und am Ende einer Zeichenkette
 */
	string = string.replace(/^\s+/, ''); // Leerzeichen am Anfang ersetzen
	string = string.replace(/\s+$/, ''); // Leerzeichen am Ende ersetzen

	return string;
}

function trimWhitespace(string) {
/*
 * Diese Funktion entfernt ueberzaehlige Leerzeichen am Anfang, Ende
 * oder auch innerhalb einer Zeichenkette.
 */
	var tmp = "";
	var stringLength = string.length;

	for (var i = 0; i < string.length; i++) {
		if ( (string.charAt(i) != ' ') ) {
			tmp += string.charAt(i);
		} else {
			if (tmp.length > 0) {
				if ( (string.charAt(i+1) != ' ') && (i != string.length-1) ) {
					tmp += string.charAt(i);
				}
			}
		}
	}
	return tmp;
}

function trimChar(str) {
var tmp = "";

	for(var i=0; i < str.length; i++) {
		//if ( (str.charAt(i) != '*') && (str.charAt(i) != '?') && (str.charAt(i) != '<') && (str.charAt(i) != '!') ) {
		if ( (str.charAt(i) != '*') && (str.charAt(i) != '?') && (str.charAt(i) != '<') ) {
			tmp += str.charAt(i);
		} else {
			if (tmp.length > 0) {
				//if ( (str.charAt(i+1) != '*') && (str.charAt(i+1) != '?') && (str.charAt(i) != '<') && (str.charAt(i) != '!') && (i != str.length-1) ) {
				if ( (str.charAt(i+1) != '*') && (str.charAt(i+1) != '?') && (str.charAt(i) != '<') && (i != str.length-1) ) {
					tmp += str.charAt(i);
				}
			}
		}
	}

	return tmp;
}

function trimCharForXmlSearch(str) {
var tmp = "";

	for(var i=0; i < str.length; i++) {
		if ( (str.charAt(i) != '*') && (str.charAt(i) != '-') && (str.charAt(i) != '.') && (str.charAt(i) != '?')  
			// && (str.charAt(i) != "'") && (str.charAt(i) != '$') && (str.charAt(i) != '§') ) {
				) {
			tmp += str.charAt(i);
		} else {
			if (tmp.length > 0) {
				if ( (str.charAt(i) != '*') && (str.charAt(i) != '-') && (str.charAt(i) != '.') && (str.charAt(i) != '?')  
					//&& (str.charAt(i) != "'") && (str.charAt(i) != '$') && (str.charAt(i) != '§') && (i != str.length-1) ) {
					) {
					tmp += str.charAt(i);
				}
			}
		}
	}

	return tmp;
}

/* User Agent (browsertypkennung) auf einen bestimmten browsertyptyp pruefen/
/* Diese JavaScript-Funktion beantwortet die Frage, ob der Wert von name im 
 * User-Agent-String gefunden wurde. Man uebergibt ihr eine Zeichenkette, 
 * die nur im User-Agent von browsertypn eines bestimmten Herstellers vorkommt, 
 * einen Schluessel also, der den browsertyptyp eindeutig identifiziert. 
 * Die Funktion antwortet mit stimmt=(true) oder stimmt nicht=(false),
 * je nachdem ob der Schluessel gefunden wurde.
 */
function checkbrowsertypName(name) {
	var agent = navigator.userAgent.toLowerCase();
	if (agent.indexOf(name.toLowerCase())>-1) {
		return true;
	}  
	return false;
}  
